#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(cx25821_sram_channels, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_setup_audio, "", "");
KSYMTAB_FUNC(cx25821_sram_channel_dump_audio, "", "");
KSYMTAB_FUNC(cx25821_dev_unregister, "", "");
KSYMTAB_FUNC(cx25821_riscmem_alloc, "", "");
KSYMTAB_FUNC(cx25821_risc_databuffer_audio, "", "");
KSYMTAB_FUNC(cx25821_print_irqbits, "", "");
KSYMTAB_FUNC(cx25821_dev_get, "", "");
KSYMTAB_FUNC(cx25821_set_gpiopin_direction, "", "");

SYMBOL_CRC(cx25821_sram_channels, 0xe9050411, "");
SYMBOL_CRC(cx25821_sram_channel_setup_audio, 0x7978ca34, "");
SYMBOL_CRC(cx25821_sram_channel_dump_audio, 0x25a1523d, "");
SYMBOL_CRC(cx25821_dev_unregister, 0x187d6c78, "");
SYMBOL_CRC(cx25821_riscmem_alloc, 0x38cc944c, "");
SYMBOL_CRC(cx25821_risc_databuffer_audio, 0x8ec86684, "");
SYMBOL_CRC(cx25821_print_irqbits, 0x44b517f5, "");
SYMBOL_CRC(cx25821_dev_get, 0xc9157e15, "");
SYMBOL_CRC(cx25821_set_gpiopin_direction, 0x37f7e28a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x122c3a7e, "_printk" },
	{ 0x4cce9dfb, "v4l2_ctrl_handler_setup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x633f9ee5, "video_devdata" },
	{ 0x9644588b, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0xf6a60cf5, "i2c_del_adapter" },
	{ 0x8f9bbf32, "vb2_plane_cookie" },
	{ 0xe9a2ab1e, "vb2_ioctl_dqbuf" },
	{ 0xbef22da3, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x31011af3, "vb2_ioctl_prepare_buf" },
	{ 0x7dae9c31, "dma_alloc_attrs" },
	{ 0xf65aba40, "vb2_buffer_done" },
	{ 0xfa2028cb, "v4l2_ctrl_subscribe_event" },
	{ 0xde80cd09, "ioremap" },
	{ 0x1b355514, "video_unregister_device" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcf497ef1, "vb2_ioctl_qbuf" },
	{ 0xaad1dc62, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x49eb15b1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4cfa6fde, "vb2_fop_read" },
	{ 0xf67c2af2, "v4l2_device_register" },
	{ 0xbeedcc5f, "i2c_add_adapter" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdd64e639, "strscpy" },
	{ 0x58c2b54b, "dma_free_attrs" },
	{ 0xec3e5395, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x185661d8, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xb6dc5154, "vb2_ioctl_streamon" },
	{ 0x921fed13, "vb2_fop_poll" },
	{ 0x6e7f83bc, "v4l2_ctrl_new_std" },
	{ 0xc0e7306e, "v4l2_ctrl_handler_free" },
	{ 0xa2821a70, "v4l2_device_unregister" },
	{ 0x3f538420, "pci_disable_device" },
	{ 0x3dfe8684, "dma_set_mask" },
	{ 0x7ffac7e0, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x39fb223a, "video_device_release_empty" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb616a42c, "v4l2_event_unsubscribe" },
	{ 0x85bd1608, "__request_region" },
	{ 0xcbb93183, "vb2_ioctl_reqbufs" },
	{ 0xe4af5f14, "vb2_queue_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x4ec424f1, "vb2_dma_sg_memops" },
	{ 0x859569b7, "video_ioctl2" },
	{ 0xe06cb32a, "pci_enable_device" },
	{ 0x4f5294c7, "vb2_ioctl_streamoff" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x80d47ac, "vb2_ops_wait_finish" },
	{ 0x1547469a, "__pci_register_driver" },
	{ 0xe7b0e8a8, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x1a91865b, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x2a194944, "vb2_ioctl_querybuf" },
	{ 0x4e804d8e, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xecd19afb, "pci_unregister_driver" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "videodev,videobuf2-v4l2,videobuf2-common,videobuf2-dma-sg");

MODULE_ALIAS("pci:v000014F1d00008210sv000014F1sd00000920bc*sc*i*");
MODULE_ALIAS("pci:v000014F1d00008210sv00000000sd00000000bc*sc*i*");

MODULE_INFO(srcversion, "77EC1E165D4713381B62A04");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
