#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mantis_get_mac, "_gpl", "");
KSYMTAB_FUNC(mantis_gpio_set_bits, "_gpl", "");
KSYMTAB_FUNC(mantis_stream_control, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_init, "_gpl", "");
KSYMTAB_FUNC(mantis_uart_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_dma_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_init, "_gpl", "");
KSYMTAB_FUNC(mantis_pci_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_init, "_gpl", "");
KSYMTAB_FUNC(mantis_i2c_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_power, "_gpl", "");
KSYMTAB_FUNC(mantis_frontend_soft_reset, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_init, "_gpl", "");
KSYMTAB_FUNC(mantis_dvb_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_init, "_gpl", "");
KSYMTAB_FUNC(mantis_ca_exit, "_gpl", "");
KSYMTAB_FUNC(mantis_input_init, "_gpl", "");
KSYMTAB_FUNC(mantis_input_exit, "_gpl", "");

SYMBOL_CRC(mantis_get_mac, 0x2ea51268, "_gpl");
SYMBOL_CRC(mantis_gpio_set_bits, 0xe489c09b, "_gpl");
SYMBOL_CRC(mantis_stream_control, 0x8f1d7d12, "_gpl");
SYMBOL_CRC(mantis_uart_init, 0x2aca06bc, "_gpl");
SYMBOL_CRC(mantis_uart_exit, 0x5d77c936, "_gpl");
SYMBOL_CRC(mantis_dma_exit, 0xdff5f771, "_gpl");
SYMBOL_CRC(mantis_dma_init, 0xfec9e724, "_gpl");
SYMBOL_CRC(mantis_pci_init, 0x09ef444c, "_gpl");
SYMBOL_CRC(mantis_pci_exit, 0x1ac8a82c, "_gpl");
SYMBOL_CRC(mantis_i2c_init, 0xf6709b1a, "_gpl");
SYMBOL_CRC(mantis_i2c_exit, 0xd74c8b4f, "_gpl");
SYMBOL_CRC(mantis_frontend_power, 0x55bbfe47, "_gpl");
SYMBOL_CRC(mantis_frontend_soft_reset, 0x9c424944, "_gpl");
SYMBOL_CRC(mantis_dvb_init, 0x4fc26fcc, "_gpl");
SYMBOL_CRC(mantis_dvb_exit, 0x6efe7f99, "_gpl");
SYMBOL_CRC(mantis_ca_init, 0x43b029a2, "_gpl");
SYMBOL_CRC(mantis_ca_exit, 0xa11cefdb, "_gpl");
SYMBOL_CRC(mantis_input_init, 0xe29f3b14, "_gpl");
SYMBOL_CRC(mantis_input_exit, 0x9253afda, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x5d5d293d, "dvb_register_adapter" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf6a60cf5, "i2c_del_adapter" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xab2860a3, "dvb_ca_en50221_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xee058f6b, "rc_register_device" },
	{ 0x7dae9c31, "dma_alloc_attrs" },
	{ 0xaf342dd6, "rc_keydown" },
	{ 0xaf84262, "dvb_net_init" },
	{ 0xde80cd09, "ioremap" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x405722e8, "dvb_dmxdev_release" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe00745a6, "param_ops_short" },
	{ 0x3ddf7050, "rc_free_device" },
	{ 0x49eb15b1, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x6954c350, "dvb_frontend_detach" },
	{ 0xbeedcc5f, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb9ad4659, "dma_set_coherent_mask" },
	{ 0x2e5c3756, "dvb_net_release" },
	{ 0xf186cc6, "dvb_ca_en50221_camready_irq" },
	{ 0x2358e5c7, "rc_allocate_device" },
	{ 0x58c2b54b, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x32c6dc46, "dvb_unregister_frontend" },
	{ 0xa33828f2, "dvb_ca_en50221_camchange_irq" },
	{ 0x748622f3, "i2c_transfer" },
	{ 0x3f538420, "pci_disable_device" },
	{ 0xe88b8a51, "dvb_register_frontend" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x7ffac7e0, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0x62b63ea3, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xf9a482f9, "msleep" },
	{ 0x7205f32c, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x37d72294, "dvb_dmxdev_init" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xe06cb32a, "pci_enable_device" },
	{ 0x29ee3460, "dvb_ca_en50221_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xedc03953, "iounmap" },
	{ 0x1a91865b, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "dvb-core,rc-core");


MODULE_INFO(srcversion, "59E19B7E1F9F26E6B5CED32");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
