#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0x0b59a9aa, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0x703dfe95, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0x6a71f2e1, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0x39b3654f, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0x16d94ace, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0x817dcdbb, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0xf22f9408, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0x15cd4083, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0x776bd5d9, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0x7b7deed4, "_gpl");
SYMBOL_CRC(v4l2_async_register_subdev, 0x82ed1a4f, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0xc67a6428, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbbe03148, "i2c_verify_client" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x96b0a639, "debugfs_create_dir" },
	{ 0x75cc38af, "debugfs_create_file" },
	{ 0xb4836347, "single_open" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xff44b935, "fwnode_property_present" },
	{ 0x8c977c20, "fwnode_graph_get_port_parent" },
	{ 0x64662b13, "fwnode_handle_put" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1bf18b, "fwnode_handle_get" },
	{ 0x2a37e583, "debugfs_remove" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd678a1ac, "fwnode_graph_get_remote_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0xe4bc8981, "v4l2_device_unregister_subdev" },
	{ 0x5bdaddda, "v4l2_subdev_put_privacy_led" },
	{ 0x464b6e4c, "__dynamic_dev_dbg" },
	{ 0x939991a3, "__dev_fwnode" },
	{ 0x38c5e57c, "v4l2_device_register_subdev" },
	{ 0xf108ba99, "media_create_ancillary_link" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xa184bb7, "_dev_err" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x450a17c2, "_dev_warn" },
	{ 0x514c667c, "seq_lseek" },
	{ 0x3b38613f, "seq_read" },
	{ 0xda588655, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc");


MODULE_INFO(srcversion, "3A9911965CB71D4EC415E2F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
