#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xaf88e3d0, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0x9fbebf6a, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0xf0fed9ef, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcaf3f502, "netif_stacked_transfer_operstate" },
	{ 0xd371c9b0, "linkwatch_fire_event" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x3625195a, "netdev_rx_handler_register" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xab2460c5, "skb_copy" },
	{ 0xf7e86961, "consume_skb" },
	{ 0xdc2437f1, "skb_push" },
	{ 0x760e8d05, "skb_put" },
	{ 0x1a40bad, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf4bab365, "skb_to_sgvec" },
	{ 0xdc2d6610, "crypto_aead_encrypt" },
	{ 0xede0654c, "skb_copy_expand" },
	{ 0x2de8ec4d, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xfce47713, "skb_clone" },
	{ 0x646a644c, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x730f4041, "crypto_aead_decrypt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xd91155db, "__pskb_pull_tail" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x6059817e, "netdev_rx_handler_unregister" },
	{ 0xff8a304b, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x4780110b, "netif_carrier_off" },
	{ 0xee4fe99a, "dev_mc_unsync" },
	{ 0xcd9d2aa8, "dev_uc_unsync" },
	{ 0x24b2e435, "dev_uc_del" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x248da46, "dev_uc_add" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x69a16d8, "netif_carrier_on" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6bd788fc, "genlmsg_put" },
	{ 0xc4530a2f, "skb_trim" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x122c3a7e, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x36212908, "rtnl_link_register" },
	{ 0x1d2474c2, "genl_register_family" },
	{ 0x44e7f30a, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0xb12ee037, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xc2f7da5, "crypto_alloc_aead" },
	{ 0x9b696681, "crypto_aead_setkey" },
	{ 0x83e1dfcf, "crypto_aead_setauthsize" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0xba34da31, "skb_pull" },
	{ 0x3d20ab3d, "___pskb_trim" },
	{ 0x86bc7005, "ether_setup" },
	{ 0xaaac8b51, "metadata_dst_free" },
	{ 0x8fa5a6ee, "dev_fetch_sw_netstats" },
	{ 0xd8292c21, "dev_mc_sync" },
	{ 0xa77bfaee, "dev_uc_sync" },
	{ 0x3e0cdbb6, "dev_set_allmulti" },
	{ 0x47a3a7dd, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x213d3ce1, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x980c7b55, "__dev_queue_xmit" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x8e2773ba, "gro_cells_init" },
	{ 0x9611f7e3, "dev_addr_mod" },
	{ 0x56470118, "__warn_printk" },
	{ 0x52e23ba3, "eth_type_trans" },
	{ 0xbaf153b6, "gro_cells_receive" },
	{ 0x8c4164c3, "kfree_skb_reason" },
	{ 0xf8948ca1, "__dev_get_by_index" },
	{ 0xb98e6202, "register_netdevice" },
	{ 0x23857225, "netdev_upper_dev_link" },
	{ 0xddacfd2d, "netdev_upper_dev_unlink" },
	{ 0x4f9d00f6, "unregister_netdevice_queue" },
	{ 0x4522c257, "metadata_dst_alloc" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "458C6D04F7AB9ADBB5E3D80");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
