#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(team_modeop_port_enter, "", "");
KSYMTAB_FUNC(team_modeop_port_change_dev_addr, "", "");
KSYMTAB_FUNC(team_options_register, "", "");
KSYMTAB_FUNC(team_options_unregister, "", "");
KSYMTAB_FUNC(team_option_inst_set_change, "", "");
KSYMTAB_FUNC(team_options_change_check, "", "");
KSYMTAB_FUNC(team_mode_register, "", "");
KSYMTAB_FUNC(team_mode_unregister, "", "");

SYMBOL_CRC(team_modeop_port_enter, 0x9c5b32a6, "");
SYMBOL_CRC(team_modeop_port_change_dev_addr, 0x1e53c0cd, "");
SYMBOL_CRC(team_options_register, 0x7be16cac, "");
SYMBOL_CRC(team_options_unregister, 0x78312f3b, "");
SYMBOL_CRC(team_option_inst_set_change, 0x1e2ebb27, "");
SYMBOL_CRC(team_options_change_check, 0x13b50b05, "");
SYMBOL_CRC(team_mode_register, 0x364e170c, "");
SYMBOL_CRC(team_mode_unregister, 0xfe7fd9e9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x11089ac7, "_ctype" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xb8ff7e57, "__nlmsg_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x47089468, "netdev_warn" },
	{ 0xcdb10eb8, "__ethtool_get_link_ksettings" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0xc2426609, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x754d539c, "strlen" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xddacfd2d, "netdev_upper_dev_unlink" },
	{ 0x6059817e, "netdev_rx_handler_unregister" },
	{ 0x4dbbe3fc, "vlan_vids_del_by_dev" },
	{ 0x67caf346, "dev_close" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xcae7d3f, "netdev_change_features" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdbfaf21, "netdev_has_upper_dev" },
	{ 0x5a15608d, "dev_uc_flush" },
	{ 0x68d0ed33, "dev_mc_flush" },
	{ 0xb25c0265, "vlan_uses_dev" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x7683ada4, "dev_open" },
	{ 0x79458f39, "vlan_vids_add_by_dev" },
	{ 0x3625195a, "netdev_rx_handler_register" },
	{ 0x5b6fcd02, "netdev_master_upper_dev_link" },
	{ 0x3e2452fa, "dev_disable_lro" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x33472c69, "ethtool_op_get_link" },
	{ 0xdf42b198, "passthru_features_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcd4e2816, "dev_set_mac_address" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x37a0cba, "kfree" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2a2a270, "netlink_unicast" },
	{ 0xd721de21, "dev_get_by_index" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x69a16d8, "netif_carrier_on" },
	{ 0x4780110b, "netif_carrier_off" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x3e0cdbb6, "dev_set_allmulti" },
	{ 0x47a3a7dd, "dev_set_promiscuity" },
	{ 0xcd9d2aa8, "dev_uc_unsync" },
	{ 0xee4fe99a, "dev_mc_unsync" },
	{ 0xff8a304b, "dev_set_mtu" },
	{ 0x6ee133d7, "netdev_err" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x57aa80cb, "__dynamic_netdev_dbg" },
	{ 0x23ae5793, "dev_kfree_skb_any_reason" },
	{ 0xe382f5c7, "dev_uc_sync_multiple" },
	{ 0xab0014f, "dev_mc_sync_multiple" },
	{ 0x9611f7e3, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc39e2024, "vlan_vid_del" },
	{ 0xb40bfd5d, "vlan_vid_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xac0ba712, "module_put" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe4bb72f4, "__alloc_skb" },
	{ 0x6bd788fc, "genlmsg_put" },
	{ 0x8c4164c3, "kfree_skb_reason" },
	{ 0xb98e6202, "register_netdevice" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x86bc7005, "ether_setup" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x36212908, "rtnl_link_register" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x1d2474c2, "genl_register_family" },
	{ 0x44e7f30a, "rtnl_link_unregister" },
	{ 0x213d3ce1, "genl_unregister_family" },
	{ 0x6e631980, "netlink_broadcast" },
	{ 0xfce47713, "skb_clone" },
	{ 0xf7e86961, "consume_skb" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x980c7b55, "__dev_queue_xmit" },
	{ 0x3729d343, "pv_ops" },
	{ 0x90193ac1, "netpoll_send_skb" },
	{ 0x3659e32b, "netdev_lower_state_changed" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x97e4d095, "__netpoll_setup" },
	{ 0x623a4ba, "__netpoll_free" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xc4530a2f, "skb_trim" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x8a30b029, "call_netdevice_notifiers" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2C936B5FBB2D4C223A93931");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
