#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0xf9a482f9, "msleep" },
	{ 0x6ee133d7, "netdev_err" },
	{ 0x57aa80cb, "__dynamic_netdev_dbg" },
	{ 0x25df1847, "usbnet_update_max_qlen" },
	{ 0x664783f0, "usbnet_suspend" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc5d0f176, "eth_platform_get_mac_address" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc5922e1b, "mii_nway_restart" },
	{ 0x4737b034, "usbnet_resume" },
	{ 0x68773d67, "mii_ethtool_gset" },
	{ 0x69a16d8, "netif_carrier_on" },
	{ 0xd1c92d2, "usbnet_probe" },
	{ 0xb5fa5d46, "usbnet_open" },
	{ 0xe13599a5, "usbnet_stop" },
	{ 0x339f6d18, "usbnet_start_xmit" },
	{ 0x2b4db125, "eth_validate_addr" },
	{ 0xadd7cb29, "usbnet_tx_timeout" },
	{ 0xc93525c0, "dev_get_tstats64" },
	{ 0x904140e7, "usbnet_get_msglevel" },
	{ 0xc9aae312, "usbnet_set_msglevel" },
	{ 0xbf759d0b, "usbnet_nway_reset" },
	{ 0x33472c69, "ethtool_op_get_link" },
	{ 0x9235d15e, "ethtool_op_get_ts_info" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9f72678, "pskb_expand_head" },
	{ 0xdc2437f1, "skb_push" },
	{ 0xd91155db, "__pskb_pull_tail" },
	{ 0x23ae5793, "dev_kfree_skb_any_reason" },
	{ 0xaaa8f24e, "usbnet_read_cmd" },
	{ 0x4adf0ba9, "usbnet_read_cmd_nopm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x47089468, "netdev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x829d5c5b, "mii_ethtool_set_link_ksettings" },
	{ 0xe7eb9797, "mii_ethtool_get_link_ksettings" },
	{ 0x679b7613, "generic_mii_ioctl" },
	{ 0xeaec97ab, "usb_register_driver" },
	{ 0x29e36a3e, "usbnet_disconnect" },
	{ 0x32475dad, "usb_deregister" },
	{ 0xbd12929b, "usbnet_link_change" },
	{ 0xc2426609, "netdev_info" },
	{ 0xa4b5f23e, "usbnet_get_endpoints" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x794afd92, "netif_set_tso_max_size" },
	{ 0x6c36a238, "usbnet_write_cmd_async" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xc4530a2f, "skb_trim" },
	{ 0xfce47713, "skb_clone" },
	{ 0xba34da31, "skb_pull" },
	{ 0x45d31c6e, "usbnet_skb_return" },
	{ 0x282c7539, "usbnet_write_cmd" },
	{ 0xd40e26e1, "usbnet_write_cmd_nopm" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9611f7e3, "dev_addr_mod" },
	{ 0x37a0cba, "kfree" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "usbnet,mii,usbcore");

MODULE_ALIAS("usb:v0B95p1790d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0B95p178Ad*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04B4p3610d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v2001p4A00d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0DF6p0072d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v04E8pA100d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v17EFp304Bd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v050Dp0128d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0930p0A13d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v0711p0179d*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Ed*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p000Fd*dc*dsc*dp*icFFiscFFip00in*");
MODULE_ALIAS("usb:v07C9p0010d*dc*dsc*dp*icFFiscFFip00in*");

MODULE_INFO(srcversion, "82581F8818B410E855626F2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
