#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt792x_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt792x_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_tsf, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_worker, "_gpl", "");
KSYMTAB_FUNC(mt792x_roc_timer, "_gpl", "");
KSYMTAB_FUNC(mt792x_flush, "_gpl", "");
KSYMTAB_FUNC(mt792x_assign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_unassign_vif_chanctx, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_wakeup, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_strings, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_sset_count, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_et_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_sta_statistics, "_gpl", "");
KSYMTAB_FUNC(mt792x_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wiphy, "_gpl", "");
KSYMTAB_FUNC(mt792x_get_mac80211_ops, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(__mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_drv_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792xe_mcu_fw_pmctrl, "_gpl", "");
KSYMTAB_FUNC(mt792x_load_firmware, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_set_timeing, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_update_mib_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_get_wcid, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_assoc_rssi, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt792x_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt792x_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_mac_init_band, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_wake_work, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_power_save_work, "_gpl", "");
KSYMTAB_DATA(__tracepoint_lp_event, "_gpl", "");
KSYMTAB_FUNC(__traceiter_lp_event, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_lp_event, "_gpl", "");
KSYMTAB_FUNC(mt792x_tx_stats_show, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_acq, "_gpl", "");
KSYMTAB_FUNC(mt792x_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_stats, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_set, "_gpl", "");
KSYMTAB_FUNC(mt792x_pm_idle_timeout_get, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt792x_irq_tasklet, "_gpl", "");
KSYMTAB_FUNC(mt792x_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_enable, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_wpdma_reinit_cond, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt792x_dma_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_tx, "_gpl", "");
KSYMTAB_FUNC(mt792x_poll_rx, "_gpl", "");
KSYMTAB_FUNC(mt792x_wfsys_reset, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar, "_gpl", "");
KSYMTAB_FUNC(mt792x_init_acpi_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt792x_acpi_get_flags, "_gpl", "");

SYMBOL_CRC(mt792x_tx, 0x6b7a0bae, "_gpl");
SYMBOL_CRC(mt792x_remove_interface, 0x7c8c5e99, "_gpl");
SYMBOL_CRC(mt792x_conf_tx, 0x4bd80565, "_gpl");
SYMBOL_CRC(mt792x_get_stats, 0xb1e14134, "_gpl");
SYMBOL_CRC(mt792x_get_tsf, 0xb31469c7, "_gpl");
SYMBOL_CRC(mt792x_set_tsf, 0x2edfa680, "_gpl");
SYMBOL_CRC(mt792x_tx_worker, 0x47412cde, "_gpl");
SYMBOL_CRC(mt792x_roc_timer, 0x9c06d4d5, "_gpl");
SYMBOL_CRC(mt792x_flush, 0x266487bd, "_gpl");
SYMBOL_CRC(mt792x_assign_vif_chanctx, 0xc294324a, "_gpl");
SYMBOL_CRC(mt792x_unassign_vif_chanctx, 0xdedf960d, "_gpl");
SYMBOL_CRC(mt792x_set_wakeup, 0x7c739376, "_gpl");
SYMBOL_CRC(mt792x_get_et_strings, 0xbf953ac9, "_gpl");
SYMBOL_CRC(mt792x_get_et_sset_count, 0x2e9b293c, "_gpl");
SYMBOL_CRC(mt792x_get_et_stats, 0x48de3156, "_gpl");
SYMBOL_CRC(mt792x_sta_statistics, 0xca75b8dd, "_gpl");
SYMBOL_CRC(mt792x_set_coverage_class, 0xb29e3b79, "_gpl");
SYMBOL_CRC(mt792x_init_wiphy, 0x2a8ea548, "_gpl");
SYMBOL_CRC(mt792x_get_mac80211_ops, 0x97479947, "_gpl");
SYMBOL_CRC(mt792x_init_wcid, 0x81069846, "_gpl");
SYMBOL_CRC(mt792x_mcu_drv_pmctrl, 0x63e825ff, "_gpl");
SYMBOL_CRC(mt792x_mcu_fw_pmctrl, 0xe3923a6a, "_gpl");
SYMBOL_CRC(__mt792xe_mcu_drv_pmctrl, 0xfb951ee5, "_gpl");
SYMBOL_CRC(mt792xe_mcu_drv_pmctrl, 0xe536a4b8, "_gpl");
SYMBOL_CRC(mt792xe_mcu_fw_pmctrl, 0xeec1a9ba, "_gpl");
SYMBOL_CRC(mt792x_load_firmware, 0xbc8dc201, "_gpl");
SYMBOL_CRC(mt792x_mac_work, 0xe731fec5, "_gpl");
SYMBOL_CRC(mt792x_mac_set_timeing, 0x9cff1ac2, "_gpl");
SYMBOL_CRC(mt792x_mac_update_mib_stats, 0xa48c2338, "_gpl");
SYMBOL_CRC(mt792x_rx_get_wcid, 0x3af71fe8, "_gpl");
SYMBOL_CRC(mt792x_mac_assoc_rssi, 0xab1f413e, "_gpl");
SYMBOL_CRC(mt792x_mac_reset_counters, 0xb584d34e, "_gpl");
SYMBOL_CRC(mt792x_update_channel, 0xdd6237a9, "_gpl");
SYMBOL_CRC(mt792x_reset, 0x8814e7d3, "_gpl");
SYMBOL_CRC(mt792x_mac_init_band, 0x15ccf16f, "_gpl");
SYMBOL_CRC(mt792x_pm_wake_work, 0x0df73a34, "_gpl");
SYMBOL_CRC(mt792x_pm_power_save_work, 0xe4ccb149, "_gpl");
SYMBOL_CRC(__tracepoint_lp_event, 0x08e7d60c, "_gpl");
SYMBOL_CRC(__traceiter_lp_event, 0x36c47abd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_lp_event, 0xc65b1f86, "_gpl");
SYMBOL_CRC(__SCT__tp_func_lp_event, 0xabff3e0f, "_gpl");
SYMBOL_CRC(mt792x_tx_stats_show, 0xb3820980, "_gpl");
SYMBOL_CRC(mt792x_queues_acq, 0x48a96d33, "_gpl");
SYMBOL_CRC(mt792x_queues_read, 0xfe86aeca, "_gpl");
SYMBOL_CRC(mt792x_pm_stats, 0xfe3adf1a, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_set, 0x5a7b5c38, "_gpl");
SYMBOL_CRC(mt792x_pm_idle_timeout_get, 0xc3a0fb62, "_gpl");
SYMBOL_CRC(mt792x_irq_handler, 0xbd22e98c, "_gpl");
SYMBOL_CRC(mt792x_irq_tasklet, 0x8e471e29, "_gpl");
SYMBOL_CRC(mt792x_rx_poll_complete, 0x2e56ff77, "_gpl");
SYMBOL_CRC(mt792x_dma_enable, 0xa97e6245, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reset, 0x30714bb3, "_gpl");
SYMBOL_CRC(mt792x_wpdma_reinit_cond, 0x38dd4091, "_gpl");
SYMBOL_CRC(mt792x_dma_disable, 0xa7e64977, "_gpl");
SYMBOL_CRC(mt792x_dma_cleanup, 0x90c5b348, "_gpl");
SYMBOL_CRC(mt792x_poll_tx, 0xa824aec4, "_gpl");
SYMBOL_CRC(mt792x_poll_rx, 0x51ba936a, "_gpl");
SYMBOL_CRC(mt792x_wfsys_reset, 0x80acc6a1, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar, 0x662922ee, "_gpl");
SYMBOL_CRC(mt792x_init_acpi_sar_power, 0x385e0339, "_gpl");
SYMBOL_CRC(mt792x_acpi_get_flags, 0x09ca3125, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x25a31381, "is_acpi_device_node" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7305ca35, "mt76_tx_status_skb_get" },
	{ 0xb09116ad, "trace_raw_output_prep" },
	{ 0x5365281c, "mt76_tx_status_lock" },
	{ 0x976272f9, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x9b56809c, "mt76_connac_mcu_uni_add_dev" },
	{ 0xf94bd851, "request_firmware" },
	{ 0xb6a632e1, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x6d7cb30, "ieee80211_iterate_stations_atomic" },
	{ 0x226607a5, "mt76_connac_pm_wake" },
	{ 0xbc9bbba3, "trace_event_raw_init" },
	{ 0x37a0cba, "kfree" },
	{ 0xca097ffe, "mt76_has_tx_pending" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xcbca16bd, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x464b6e4c, "__dynamic_dev_dbg" },
	{ 0x3c5b60b3, "mt76_dma_cleanup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x5a692f22, "mt76_connac_pm_queue_skb" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58cc39fc, "mt76_tx_status_check" },
	{ 0x57aa93a9, "wake_up_process" },
	{ 0x6816b01d, "mt76_connac_free_pending_tx_skbs" },
	{ 0x56650a02, "mt76_connac_power_save_sched" },
	{ 0x869fa85a, "trace_event_buffer_commit" },
	{ 0x53f8ced7, "page_pool_ethtool_stats_get_strings" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeaf0c78e, "napi_complete_done" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5f7e5249, "mt76_tx" },
	{ 0xb1ae3869, "__napi_schedule" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x5322663e, "acpi_get_handle" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfaab29ab, "ieee80211_queue_delayed_work" },
	{ 0x46b01c67, "devm_kmemdup" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8cf33c74, "perf_trace_run_bpf_submit" },
	{ 0x91ba54c6, "devm_kfree" },
	{ 0xa184bb7, "_dev_err" },
	{ 0x79ac5746, "mt76_connac2_load_ram" },
	{ 0xc5d27176, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb72593bf, "trace_event_reg" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0x20cf2ca6, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x6b8bfdef, "ieee80211_wake_queues" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x908ca40c, "mt76_connac_wowlan_support" },
	{ 0xb4cd2f00, "mt76_set_irq_mask" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x313d217d, "mt76_connac_pm_dequeue_skbs" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xc7c9303d, "mt76_ethtool_page_pool_stats" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18ff6401, "__tracepoint_dev_irq" },
	{ 0xdd64e639, "strscpy" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xae7f1a5f, "trace_event_buffer_reserve" },
	{ 0x2abc19d1, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb68f8fbe, "mt76_txq_schedule_all" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x6ec20caf, "mt76_connac2_load_patch" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xb0327e48, "____mt76_poll_msec" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0x7004892f, "ieee80211_queue_work" },
	{ 0xbe0c4ffe, "napi_schedule_prep" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xab9d88b8, "mt76_ethtool_worker" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x5e67a71c, "device_set_wakeup_enable" },
	{ 0x88234e1f, "mt76_dma_rx_poll" },
	{ 0xac4ce5f4, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mac80211");


MODULE_INFO(srcversion, "D75AB460518611AF0D50F60");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
