#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

MODULE_INFO(staging, "Y");

KSYMTAB_FUNC(ieee80211_rx, "", "");
KSYMTAB_FUNC(ieee80211_rx_mgt, "", "");
KSYMTAB_FUNC(ieee80211_is_54g, "", "");
KSYMTAB_FUNC(ieee80211_is_shortslot, "", "");
KSYMTAB_FUNC(ieee80211_softmac_scan_syncro, "", "");
KSYMTAB_FUNC(ieee80211_stop_send_beacons, "", "");
KSYMTAB_FUNC(ieee80211_start_send_beacons, "", "");
KSYMTAB_FUNC(ieee80211_stop_scan, "", "");
KSYMTAB_FUNC(ieee80211_start_scan_syncro, "", "");
KSYMTAB_FUNC(ieee80211_ps_tx_ack, "", "");
KSYMTAB_FUNC(ieee80211_softmac_xmit, "", "");
KSYMTAB_FUNC(ieee80211_reset_queue, "", "");
KSYMTAB_FUNC(ieee80211_wake_queue_rsl, "", "");
KSYMTAB_FUNC(ieee80211_stop_queue_rsl, "", "");
KSYMTAB_FUNC(ieee80211_disassociate, "", "");
KSYMTAB_FUNC(ieee80211_get_beacon, "", "");
KSYMTAB_FUNC(ieee80211_softmac_stop_protocol, "", "");
KSYMTAB_FUNC(ieee80211_softmac_start_protocol, "", "");
KSYMTAB_FUNC(SendDisassociation_rsl, "", "");
KSYMTAB_FUNC(ieee80211_wpa_supplicant_ioctl, "", "");
KSYMTAB_FUNC(notify_wx_assoc_event_rsl, "", "");
KSYMTAB_FUNC(ieee80211_txb_free, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_scan, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_encode, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_encode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_encode_ext, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_encode_ext, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_mlme, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_auth, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_gen_ie, "", "");
KSYMTAB_DATA(ieee80211_wlan_frequencies, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_freq, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_freq, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_wap, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_wap, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_essid, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rate, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_rate, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rts, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_rts, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_mode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_scan, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_essid, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_mode, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_rawtx, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_name, "", "");
KSYMTAB_FUNC(ieee80211_wx_set_power, "", "");
KSYMTAB_FUNC(ieee80211_wx_get_power, "", "");
KSYMTAB_FUNC(HTUpdateSelfAndPeerSetting, "", "");
KSYMTAB_FUNC(rtl8192u_dot11d_init, "", "");
KSYMTAB_FUNC(dot11d_reset, "", "");
KSYMTAB_FUNC(dot11d_update_country_ie, "", "");
KSYMTAB_FUNC(dot11d_get_max_tx_pwr_in_dbm, "", "");
KSYMTAB_FUNC(dot11d_scan_complete, "", "");
KSYMTAB_FUNC(is_legal_channel, "", "");
KSYMTAB_FUNC(to_legal_channel, "", "");

SYMBOL_CRC(ieee80211_rx, 0x335e8075, "");
SYMBOL_CRC(ieee80211_rx_mgt, 0x1359e456, "");
SYMBOL_CRC(ieee80211_is_54g, 0xe3372510, "");
SYMBOL_CRC(ieee80211_is_shortslot, 0x6651f895, "");
SYMBOL_CRC(ieee80211_softmac_scan_syncro, 0x00f1fb3a, "");
SYMBOL_CRC(ieee80211_stop_send_beacons, 0xcc798531, "");
SYMBOL_CRC(ieee80211_start_send_beacons, 0xa9634fc6, "");
SYMBOL_CRC(ieee80211_stop_scan, 0xb26f09a7, "");
SYMBOL_CRC(ieee80211_start_scan_syncro, 0xd212a1b1, "");
SYMBOL_CRC(ieee80211_ps_tx_ack, 0xdb7e3db8, "");
SYMBOL_CRC(ieee80211_softmac_xmit, 0x319f15ef, "");
SYMBOL_CRC(ieee80211_reset_queue, 0x480baa3a, "");
SYMBOL_CRC(ieee80211_wake_queue_rsl, 0xa6e619a2, "");
SYMBOL_CRC(ieee80211_stop_queue_rsl, 0x9c307174, "");
SYMBOL_CRC(ieee80211_disassociate, 0x8b75f406, "");
SYMBOL_CRC(ieee80211_get_beacon, 0x46f0e374, "");
SYMBOL_CRC(ieee80211_softmac_stop_protocol, 0xe5edd016, "");
SYMBOL_CRC(ieee80211_softmac_start_protocol, 0xd22a91f8, "");
SYMBOL_CRC(SendDisassociation_rsl, 0x4b2e9304, "");
SYMBOL_CRC(ieee80211_wpa_supplicant_ioctl, 0xc7af7391, "");
SYMBOL_CRC(notify_wx_assoc_event_rsl, 0x57f6b90f, "");
SYMBOL_CRC(ieee80211_txb_free, 0xb503495d, "");
SYMBOL_CRC(ieee80211_wx_get_scan, 0xc8b4c7d1, "");
SYMBOL_CRC(ieee80211_wx_set_encode, 0xbe67ee47, "");
SYMBOL_CRC(ieee80211_wx_get_encode, 0xa7a87630, "");
SYMBOL_CRC(ieee80211_wx_set_encode_ext, 0x75c78ed8, "");
SYMBOL_CRC(ieee80211_wx_get_encode_ext, 0x58269cf4, "");
SYMBOL_CRC(ieee80211_wx_set_mlme, 0x046e3f3f, "");
SYMBOL_CRC(ieee80211_wx_set_auth, 0xdc4fa7b9, "");
SYMBOL_CRC(ieee80211_wx_set_gen_ie, 0x984b3ab5, "");
SYMBOL_CRC(ieee80211_wlan_frequencies, 0x232e7944, "");
SYMBOL_CRC(ieee80211_wx_set_freq, 0xfbd56ce0, "");
SYMBOL_CRC(ieee80211_wx_get_freq, 0xe9d38e82, "");
SYMBOL_CRC(ieee80211_wx_get_wap, 0x2fdf9d3c, "");
SYMBOL_CRC(ieee80211_wx_set_wap, 0x9ed4af65, "");
SYMBOL_CRC(ieee80211_wx_get_essid, 0xb7368e22, "");
SYMBOL_CRC(ieee80211_wx_set_rate, 0x6b8e578c, "");
SYMBOL_CRC(ieee80211_wx_get_rate, 0x7988b5ee, "");
SYMBOL_CRC(ieee80211_wx_set_rts, 0x1cb1f0c1, "");
SYMBOL_CRC(ieee80211_wx_get_rts, 0xadbac298, "");
SYMBOL_CRC(ieee80211_wx_set_mode, 0x35e6f48b, "");
SYMBOL_CRC(ieee80211_wx_set_scan, 0xdab225b3, "");
SYMBOL_CRC(ieee80211_wx_set_essid, 0x149888b4, "");
SYMBOL_CRC(ieee80211_wx_get_mode, 0x27e016e9, "");
SYMBOL_CRC(ieee80211_wx_set_rawtx, 0xe2f69392, "");
SYMBOL_CRC(ieee80211_wx_get_name, 0x5fd3a7ce, "");
SYMBOL_CRC(ieee80211_wx_set_power, 0xe43dd531, "");
SYMBOL_CRC(ieee80211_wx_get_power, 0x4793d3a7, "");
SYMBOL_CRC(HTUpdateSelfAndPeerSetting, 0x8a0f41a4, "");
SYMBOL_CRC(rtl8192u_dot11d_init, 0x98d2a2ea, "");
SYMBOL_CRC(dot11d_reset, 0x80c3e060, "");
SYMBOL_CRC(dot11d_update_country_ie, 0x31ebca8c, "");
SYMBOL_CRC(dot11d_get_max_tx_pwr_in_dbm, 0x82fce16b, "");
SYMBOL_CRC(dot11d_scan_complete, 0x6cbe9135, "");
SYMBOL_CRC(is_legal_channel, 0xfae6163a, "");
SYMBOL_CRC(to_legal_channel, 0x39c663a3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0x8c4164c3, "kfree_skb_reason" },
	{ 0xcd47fcc4, "arc4_crypt" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdc2437f1, "skb_push" },
	{ 0x2a37e583, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0xab76ca3f, "usb_control_msg" },
	{ 0xed47f00b, "wireless_send_event" },
	{ 0x5c1327d2, "seq_putc" },
	{ 0xbb55ed92, "register_netdev" },
	{ 0x9166fada, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x67823039, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xda8e4e22, "crypto_shash_update" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x32475dad, "usb_deregister" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x46ff1f4, "netif_tx_wake_queue" },
	{ 0xc3c6f3d4, "proc_mkdir" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x6762f50a, "param_ops_charp" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4d24402, "iwe_stream_add_point" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x49a4b72f, "netif_rx" },
	{ 0x6a65038b, "__netdev_alloc_skb" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4530a2f, "skb_trim" },
	{ 0xdceb19ee, "skb_unlink" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x57aa80cb, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x42b35fc9, "netdev_alert" },
	{ 0x3b38613f, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x837a45a6, "debugfs_rename" },
	{ 0xdd64e639, "strscpy" },
	{ 0x75cc38af, "debugfs_create_file" },
	{ 0x8d1d6516, "crypto_shash_final" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdd5998d9, "remove_proc_entry" },
	{ 0x39f1b2ae, "usb_kill_urb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4780110b, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab2460c5, "skb_copy" },
	{ 0x69a16d8, "netif_carrier_on" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0xda588655, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x23ae5793, "dev_kfree_skb_any_reason" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0xb4836347, "single_open" },
	{ 0x9ede9e49, "crypto_alloc_shash" },
	{ 0x96b0a639, "debugfs_create_dir" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xc2426609, "netdev_info" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x94de7dfb, "alloc_etherdev_mqs" },
	{ 0xc95cc58e, "usb_alloc_urb" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x2bb32ad1, "arc4_setkey" },
	{ 0xa13abefa, "usb_free_urb" },
	{ 0x760e8d05, "skb_put" },
	{ 0x92c856a3, "iwe_stream_add_event" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x18a9b76f, "proc_create" },
	{ 0xf7e86961, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x5a366640, "unregister_netdev" },
	{ 0xe2b4e0f4, "skb_dequeue" },
	{ 0xf94bd851, "request_firmware" },
	{ 0xeaec97ab, "usb_register_driver" },
	{ 0x96848186, "scnprintf" },
	{ 0xde68a024, "dev_trans_start" },
	{ 0xdba1fa25, "dev_alloc_name" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x514c667c, "seq_lseek" },
	{ 0x2b4db125, "eth_validate_addr" },
	{ 0xc2f7da5, "crypto_alloc_aead" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x47089468, "netdev_warn" },
	{ 0x83e1dfcf, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x730f4041, "crypto_aead_decrypt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x6ee133d7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x29670f0c, "skb_queue_purge_reason" },
	{ 0x9611f7e3, "dev_addr_mod" },
	{ 0xb12ee037, "crypto_destroy_tfm" },
	{ 0x52e23ba3, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xa916b694, "strnlen" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x7b49b92b, "usb_submit_urb" },
	{ 0xf7d31de9, "kstrtoul_from_user" },
	{ 0xff1206d3, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x66f21c63, "debugfs_lookup" },
	{ 0x9b696681, "crypto_aead_setkey" },
	{ 0x6a395f8d, "init_net" },
	{ 0xa95093de, "crypto_shash_setkey" },
	{ 0xba34da31, "skb_pull" },
	{ 0x24d273d1, "add_timer" },
	{ 0xdc2d6610, "crypto_aead_encrypt" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "libarc4,usbcore");

MODULE_ALIAS("usb:v0BDAp8709d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0043d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp805Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0031d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1740p9201d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3301d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v5A57p0290d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v043Ep7A01d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "177EA336E36A5437CB1B9B4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
