#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0xd5b0e337, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x0f996a76, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x4765250e, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x38d07bc3, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x8171199a, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0xf27e70f5, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x9bff7a94, "_gpl");
SYMBOL_CRC(dccp_child_process, 0xfdb4dde7, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x5ad721e3, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0x2b30b2bd, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0x1472872b, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x0f1cfb45, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0x62884c3f, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x5f8a3171, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0x46d1d2c3, "_gpl");
SYMBOL_CRC(dccp_connect, 0x6997e658, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0xe4e5a190, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x4abe7010, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xd7cdb975, "_gpl");
SYMBOL_CRC(dccp_set_state, 0x27f718be, "_gpl");
SYMBOL_CRC(dccp_done, 0x12805689, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0xaa2bac2a, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x6b127356, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0xa7b94f48, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0xdce60c46, "_gpl");
SYMBOL_CRC(dccp_poll, 0x5649721f, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x3e1bd5bf, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0x91b1a64b, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x39c364d9, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0xee39cd75, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x1a2be94c, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0x56fe0cac, "_gpl");
SYMBOL_CRC(dccp_close, 0x6a5e6350, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0xabb5c7c8, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3656648, "inet_put_port" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x122c3a7e, "_printk" },
	{ 0x77826f2a, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xe4bb72f4, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x36169e9c, "sk_reset_timer" },
	{ 0x8cfa994f, "kmem_cache_alloc" },
	{ 0xff1206d3, "skb_queue_tail" },
	{ 0x363d3abf, "sk_stream_wait_close" },
	{ 0xb642d388, "inet_twsk_hashdance" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8cf33c74, "perf_trace_run_bpf_submit" },
	{ 0x6a395f8d, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x804ebd3c, "ip6_mtu" },
	{ 0xc59aa7d5, "sk_free" },
	{ 0x5653f578, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x8c4164c3, "kfree_skb_reason" },
	{ 0xdc2437f1, "skb_push" },
	{ 0xc6fa581f, "kmem_cache_free" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0xb72593bf, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcca8efed, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x94e95ce2, "skb_copy_datagram_iter" },
	{ 0x681faa39, "tcp_stream_memory_free" },
	{ 0xf86e830f, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0xccb0b0c1, "sk_wait_data" },
	{ 0xa81d4a62, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xdceb19ee, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x290a600e, "inet_csk_listen_start" },
	{ 0x826089a0, "sk_free_unlock_clone" },
	{ 0xf7a339b1, "sock_rfree" },
	{ 0x322e09c3, "ipv4_mtu" },
	{ 0xffd978b, "skb_set_owner_w" },
	{ 0xae7f1a5f, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa5d6e4b5, "param_ops_bool" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x57e24da4, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xfce47713, "skb_clone" },
	{ 0x2354ee5d, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2de8ec4d, "dst_release" },
	{ 0x166de7ee, "sk_stream_wait_connect" },
	{ 0x68798743, "_copy_from_iter" },
	{ 0xa8798a7a, "inet_csk_destroy_sock" },
	{ 0x24a17b73, "sk_stop_timer" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0x51330aed, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0x36dcf43a, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x3f24b8e1, "inet_csk_listen_stop" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xdb63de2b, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x94c08f29, "kmem_cache_destroy" },
	{ 0x95a9d2e0, "inet_csk_complete_hashdance" },
	{ 0x5ab727f2, "release_sock" },
	{ 0x2876637f, "inet_csk_reqsk_queue_drop" },
	{ 0xb433b563, "__inet_twsk_schedule" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x3e0a087f, "inet_hashinfo2_init_mod" },
	{ 0xdc5b47f1, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x174e6c46, "inet_ehash_locks_alloc" },
	{ 0x760e8d05, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf7e86961, "consume_skb" },
	{ 0x147d4633, "sock_wmalloc" },
	{ 0xb09116ad, "trace_raw_output_prep" },
	{ 0xe2b4e0f4, "skb_dequeue" },
	{ 0x976272f9, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xb6a632e1, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xbc9bbba3, "trace_event_raw_init" },
	{ 0x100bddf8, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xcbca16bd, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x93023c27, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0x9bdbe67e, "kmem_cache_create" },
	{ 0x89aae595, "inet_twsk_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x51edc700, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x869fa85a, "trace_event_buffer_commit" },
	{ 0x8b57aa9b, "register_net_sysctl_sz" },
	{ 0xd8a8ced, "inet_sock_destruct" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "E21448C180C1E84D3D39B6A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
