#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(pn_sock_hash, "", "");
KSYMTAB_FUNC(pn_sock_unhash, "", "");
KSYMTAB_DATA(phonet_stream_ops, "", "");
KSYMTAB_FUNC(pn_sock_get_port, "", "");
KSYMTAB_DATA(phonet_header_ops, "", "");
KSYMTAB_FUNC(pn_skb_send, "", "");
KSYMTAB_FUNC(phonet_proto_register, "", "");
KSYMTAB_FUNC(phonet_proto_unregister, "", "");

SYMBOL_CRC(pn_sock_hash, 0x247874c1, "");
SYMBOL_CRC(pn_sock_unhash, 0xf1353723, "");
SYMBOL_CRC(phonet_stream_ops, 0x7c970753, "");
SYMBOL_CRC(pn_sock_get_port, 0x3a865e3c, "");
SYMBOL_CRC(phonet_header_ops, 0xacfc4b60, "");
SYMBOL_CRC(pn_skb_send, 0x881766cf, "");
SYMBOL_CRC(phonet_proto_register, 0x70c7c0ae, "");
SYMBOL_CRC(phonet_proto_unregister, 0xf18ab2b5, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b57aa9b, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xc3cf3a7f, "proto_unregister" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5cdfe4bb, "sock_register" },
	{ 0x12531ae5, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe4bb72f4, "__alloc_skb" },
	{ 0xfdd87e3c, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8ed65182, "rtnl_set_sk_err" },
	{ 0x737d4e86, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0xac0ba712, "module_put" },
	{ 0xd7510a07, "__sk_receive_skb" },
	{ 0xab03af89, "sock_no_shutdown" },
	{ 0xf8948ca1, "__dev_get_by_index" },
	{ 0x6a395f8d, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xed2bd65a, "dev_remove_pack" },
	{ 0xd721de21, "dev_get_by_index" },
	{ 0xc59aa7d5, "sk_free" },
	{ 0x8c4164c3, "kfree_skb_reason" },
	{ 0xaf779b04, "sock_no_accept" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdc2437f1, "skb_push" },
	{ 0xef4ea30a, "sock_no_listen" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xcca8efed, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x94e95ce2, "skb_copy_datagram_iter" },
	{ 0x42bb2d4a, "rtnl_register_module" },
	{ 0x1dcd50af, "sk_alloc" },
	{ 0xab696d59, "unregister_pernet_subsys" },
	{ 0x794db473, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x5913575c, "sock_no_mmap" },
	{ 0xd91155db, "__pskb_pull_tail" },
	{ 0x49a4b72f, "netif_rx" },
	{ 0x2df9f99, "sock_common_recvmsg" },
	{ 0xc4530a2f, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7d84dafc, "sk_common_release" },
	{ 0x439c7bac, "seq_pad" },
	{ 0x1b6eb4c5, "sock_i_ino" },
	{ 0x980c7b55, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xd4832fd3, "skb_recv_datagram" },
	{ 0x57e24da4, "sock_alloc_send_pskb" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdd5998d9, "remove_proc_entry" },
	{ 0xdf4ae058, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xfce47713, "skb_clone" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x68798743, "_copy_from_iter" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x87922a25, "from_kuid_munged" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0x36dcf43a, "iov_iter_revert" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdfdfa2ef, "sock_init_data" },
	{ 0xdcdefa63, "sk_ioctl" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x5ab727f2, "release_sock" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xa14713da, "skb_free_datagram" },
	{ 0x5fea6b48, "sock_queue_rcv_skb_reason" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0x3f478b93, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb8ff7e57, "__nlmsg_put" },
	{ 0x760e8d05, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf7e86961, "consume_skb" },
	{ 0xaf825f20, "dev_add_pack" },
	{ 0x8f9c199c, "__get_user_2" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xb40cdb5b, "sock_common_getsockopt" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x3d20ab3d, "___pskb_trim" },
	{ 0x37a0cba, "kfree" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x34cb7a5d, "sock_no_connect" },
	{ 0xf011d0c3, "sock_common_setsockopt" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x387d3937, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f72678, "pskb_expand_head" },
	{ 0x61fd45e4, "register_pernet_subsys" },
	{ 0x29670f0c, "skb_queue_purge_reason" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "9861B3B4533F1F8D6F32077");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
