#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ib_pack, "", "");
KSYMTAB_FUNC(ib_unpack, "", "");
KSYMTAB_FUNC(ib_ud_ip4_csum, "", "");
KSYMTAB_FUNC(ib_ud_header_init, "", "");
KSYMTAB_FUNC(ib_ud_header_pack, "", "");
KSYMTAB_FUNC(ib_ud_header_unpack, "", "");
KSYMTAB_FUNC(ib_event_msg, "", "");
KSYMTAB_FUNC(ib_wc_status_msg, "", "");
KSYMTAB_FUNC(ib_rate_to_mult, "", "");
KSYMTAB_FUNC(mult_to_ib_rate, "", "");
KSYMTAB_FUNC(ib_rate_to_mbps, "", "");
KSYMTAB_FUNC(rdma_node_get_transport, "", "");
KSYMTAB_FUNC(rdma_port_get_link_layer, "", "");
KSYMTAB_FUNC(__ib_alloc_pd, "", "");
KSYMTAB_FUNC(ib_dealloc_pd_user, "", "");
KSYMTAB_FUNC(rdma_copy_ah_attr, "", "");
KSYMTAB_FUNC(rdma_replace_ah_attr, "", "");
KSYMTAB_FUNC(rdma_move_ah_attr, "", "");
KSYMTAB_FUNC(rdma_create_ah, "", "");
KSYMTAB_FUNC(rdma_create_user_ah, "", "");
KSYMTAB_FUNC(ib_get_rdma_header_version, "", "");
KSYMTAB_FUNC(ib_get_gids_from_rdma_hdr, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_wc, "", "");
KSYMTAB_FUNC(rdma_move_grh_sgid_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_attr, "", "");
KSYMTAB_FUNC(ib_create_ah_from_wc, "", "");
KSYMTAB_FUNC(rdma_modify_ah, "", "");
KSYMTAB_FUNC(rdma_query_ah, "", "");
KSYMTAB_FUNC(rdma_destroy_ah_user, "", "");
KSYMTAB_FUNC(ib_create_srq_user, "", "");
KSYMTAB_FUNC(ib_modify_srq, "", "");
KSYMTAB_FUNC(ib_query_srq, "", "");
KSYMTAB_FUNC(ib_destroy_srq_user, "", "");
KSYMTAB_FUNC(ib_open_qp, "", "");
KSYMTAB_FUNC(ib_create_qp_user, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_inc, "", "");
KSYMTAB_FUNC(ib_qp_usecnt_dec, "", "");
KSYMTAB_FUNC(ib_create_qp_kernel, "", "");
KSYMTAB_FUNC(ib_modify_qp_is_ok, "", "");
KSYMTAB_FUNC(ib_modify_qp_with_udata, "", "");
KSYMTAB_FUNC(ib_get_eth_speed, "", "");
KSYMTAB_FUNC(ib_modify_qp, "", "");
KSYMTAB_FUNC(ib_query_qp, "", "");
KSYMTAB_FUNC(ib_close_qp, "", "");
KSYMTAB_FUNC(ib_destroy_qp_user, "", "");
KSYMTAB_FUNC(__ib_create_cq, "", "");
KSYMTAB_FUNC(rdma_set_cq_moderation, "", "");
KSYMTAB_FUNC(ib_destroy_cq_user, "", "");
KSYMTAB_FUNC(ib_resize_cq, "", "");
KSYMTAB_FUNC(ib_reg_user_mr, "", "");
KSYMTAB_FUNC(ib_advise_mr, "", "");
KSYMTAB_FUNC(ib_dereg_mr_user, "", "");
KSYMTAB_FUNC(ib_alloc_mr, "", "");
KSYMTAB_FUNC(ib_alloc_mr_integrity, "", "");
KSYMTAB_FUNC(ib_attach_mcast, "", "");
KSYMTAB_FUNC(ib_detach_mcast, "", "");
KSYMTAB_FUNC(ib_alloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_dealloc_xrcd_user, "", "");
KSYMTAB_FUNC(ib_create_wq, "", "");
KSYMTAB_FUNC(ib_destroy_wq_user, "", "");
KSYMTAB_FUNC(ib_check_mr_status, "", "");
KSYMTAB_FUNC(ib_set_vf_link_state, "", "");
KSYMTAB_FUNC(ib_get_vf_config, "", "");
KSYMTAB_FUNC(ib_get_vf_stats, "", "");
KSYMTAB_FUNC(ib_set_vf_guid, "", "");
KSYMTAB_FUNC(ib_get_vf_guid, "", "");
KSYMTAB_FUNC(ib_map_mr_sg_pi, "", "");
KSYMTAB_FUNC(ib_map_mr_sg, "", "");
KSYMTAB_FUNC(ib_sg_to_pages, "", "");
KSYMTAB_FUNC(ib_drain_sq, "", "");
KSYMTAB_FUNC(ib_drain_rq, "", "");
KSYMTAB_FUNC(ib_drain_qp, "", "");
KSYMTAB_FUNC(rdma_alloc_netdev, "", "");
KSYMTAB_FUNC(rdma_init_netdev, "", "");
KSYMTAB_FUNC(__rdma_block_iter_start, "", "");
KSYMTAB_FUNC(__rdma_block_iter_next, "", "");
KSYMTAB_FUNC(rdma_alloc_hw_stats_struct, "", "");
KSYMTAB_FUNC(rdma_free_hw_stats_struct, "", "");
KSYMTAB_FUNC(ib_process_cq_direct, "", "");
KSYMTAB_FUNC(__ib_alloc_cq, "", "");
KSYMTAB_FUNC(__ib_alloc_cq_any, "", "");
KSYMTAB_FUNC(ib_free_cq, "", "");
KSYMTAB_FUNC(ib_cq_pool_get, "", "");
KSYMTAB_FUNC(ib_cq_pool_put, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_signature_init, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_wrs, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_post, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy, "", "");
KSYMTAB_FUNC(rdma_rw_ctx_destroy_signature, "", "");
KSYMTAB_FUNC(rdma_rw_mr_factor, "", "");
KSYMTAB_FUNC(ib_port_sysfs_get_ibdev_kobj, "", "");
KSYMTAB_FUNC(ib_port_register_client_groups, "", "");
KSYMTAB_FUNC(ib_port_unregister_client_groups, "", "");
KSYMTAB_DATA(ib_wq, "_gpl", "");
KSYMTAB_FUNC(rdma_dev_access_netns, "", "");
KSYMTAB_FUNC(ibdev_printk, "", "");
KSYMTAB_FUNC(ibdev_emerg, "", "");
KSYMTAB_FUNC(ibdev_alert, "", "");
KSYMTAB_FUNC(ibdev_crit, "", "");
KSYMTAB_FUNC(ibdev_err, "", "");
KSYMTAB_FUNC(ibdev_warn, "", "");
KSYMTAB_FUNC(ibdev_notice, "", "");
KSYMTAB_FUNC(ibdev_info, "", "");
KSYMTAB_FUNC(ib_device_put, "", "");
KSYMTAB_FUNC(ib_device_get_by_name, "", "");
KSYMTAB_FUNC(_ib_alloc_device, "", "");
KSYMTAB_FUNC(ib_dealloc_device, "", "");
KSYMTAB_FUNC(ib_port_immutable_read, "", "");
KSYMTAB_FUNC(ib_get_device_fw_str, "", "");
KSYMTAB_FUNC(ib_register_device, "", "");
KSYMTAB_FUNC(ib_unregister_device, "", "");
KSYMTAB_FUNC(ib_unregister_device_and_put, "", "");
KSYMTAB_FUNC(ib_unregister_driver, "", "");
KSYMTAB_FUNC(ib_unregister_device_queued, "", "");
KSYMTAB_FUNC(ib_register_client, "", "");
KSYMTAB_FUNC(ib_unregister_client, "", "");
KSYMTAB_FUNC(ib_set_client_data, "", "");
KSYMTAB_FUNC(ib_register_event_handler, "", "");
KSYMTAB_FUNC(ib_unregister_event_handler, "", "");
KSYMTAB_FUNC(ib_query_port, "", "");
KSYMTAB_FUNC(ib_device_set_netdev, "", "");
KSYMTAB_FUNC(ib_device_get_by_netdev, "", "");
KSYMTAB_FUNC(ib_query_pkey, "", "");
KSYMTAB_FUNC(ib_modify_device, "", "");
KSYMTAB_FUNC(ib_modify_port, "", "");
KSYMTAB_FUNC(ib_find_gid, "", "");
KSYMTAB_FUNC(ib_find_pkey, "", "");
KSYMTAB_FUNC(ib_get_net_dev_by_params, "", "");
KSYMTAB_FUNC(ib_set_device_ops, "", "");
KSYMTAB_FUNC(ib_dma_virt_map_sg, "", "");
KSYMTAB_DATA(zgid, "", "");
KSYMTAB_FUNC(ib_cache_gid_type_str, "", "");
KSYMTAB_FUNC(rdma_is_zero_gid, "", "");
KSYMTAB_FUNC(ib_cache_gid_parse_type_str, "", "");
KSYMTAB_FUNC(rdma_find_gid_by_port, "", "");
KSYMTAB_FUNC(rdma_query_gid, "", "");
KSYMTAB_FUNC(rdma_read_gid_hw_context, "", "");
KSYMTAB_FUNC(rdma_find_gid, "", "");
KSYMTAB_FUNC(ib_get_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_subnet_prefix, "", "");
KSYMTAB_FUNC(ib_find_cached_pkey, "", "");
KSYMTAB_FUNC(ib_find_exact_cached_pkey, "", "");
KSYMTAB_FUNC(ib_get_cached_lmc, "", "");
KSYMTAB_FUNC(ib_get_cached_port_state, "", "");
KSYMTAB_FUNC(rdma_get_gid_attr, "", "");
KSYMTAB_FUNC(rdma_query_gid_table, "", "");
KSYMTAB_FUNC(rdma_put_gid_attr, "", "");
KSYMTAB_FUNC(rdma_hold_gid_attr, "", "");
KSYMTAB_FUNC(rdma_read_gid_attr_ndev_rcu, "", "");
KSYMTAB_FUNC(rdma_read_gid_l2_fields, "", "");
KSYMTAB_FUNC(ib_dispatch_event, "", "");
KSYMTAB_FUNC(rdma_nl_chk_listeners, "", "");
KSYMTAB_FUNC(rdma_nl_register, "", "");
KSYMTAB_FUNC(rdma_nl_unregister, "", "");
KSYMTAB_FUNC(ibnl_put_msg, "", "");
KSYMTAB_FUNC(ibnl_put_attr, "", "");
KSYMTAB_FUNC(rdma_nl_unicast, "", "");
KSYMTAB_FUNC(rdma_nl_unicast_wait, "", "");
KSYMTAB_FUNC(rdma_nl_multicast, "", "");
KSYMTAB_FUNC(roce_gid_type_mask_support, "", "");
KSYMTAB_FUNC(rdma_roce_rescan_device, "", "");
KSYMTAB_FUNC(ib_mr_pool_get, "", "");
KSYMTAB_FUNC(ib_mr_pool_put, "", "");
KSYMTAB_FUNC(ib_mr_pool_init, "", "");
KSYMTAB_FUNC(ib_mr_pool_destroy, "", "");
KSYMTAB_FUNC(rdma_addr_size, "", "");
KSYMTAB_FUNC(rdma_addr_size_in6, "", "");
KSYMTAB_FUNC(rdma_addr_size_kss, "", "");
KSYMTAB_FUNC(rdma_copy_src_l2_addr, "", "");
KSYMTAB_FUNC(rdma_translate_ip, "", "");
KSYMTAB_FUNC(rdma_resolve_ip, "", "");
KSYMTAB_FUNC(rdma_addr_cancel, "", "");
KSYMTAB_FUNC(ib_sa_register_client, "", "");
KSYMTAB_FUNC(ib_sa_unregister_client, "", "");
KSYMTAB_FUNC(ib_sa_cancel_query, "", "");
KSYMTAB_FUNC(ib_init_ah_attr_from_path, "", "");
KSYMTAB_FUNC(ib_sa_unpack_path, "", "");
KSYMTAB_FUNC(ib_sa_pack_path, "", "");
KSYMTAB_FUNC(ib_sa_path_rec_get, "", "");
KSYMTAB_FUNC(ib_sa_guid_info_rec_query, "", "");
KSYMTAB_FUNC(ib_sa_join_multicast, "", "");
KSYMTAB_FUNC(ib_sa_free_multicast, "", "");
KSYMTAB_FUNC(ib_sa_get_mcmember_rec, "", "");
KSYMTAB_FUNC(ib_init_ah_from_mcmember, "", "");
KSYMTAB_FUNC(ib_response_mad, "", "");
KSYMTAB_FUNC(ib_register_mad_agent, "", "");
KSYMTAB_FUNC(ib_unregister_mad_agent, "", "");
KSYMTAB_FUNC(ib_mad_kernel_rmpp_agent, "", "");
KSYMTAB_FUNC(ib_create_send_mad, "", "");
KSYMTAB_FUNC(ib_get_mad_data_offset, "", "");
KSYMTAB_FUNC(ib_is_mad_class_rmpp, "", "");
KSYMTAB_FUNC(ib_get_rmpp_segment, "", "");
KSYMTAB_FUNC(ib_free_send_mad, "", "");
KSYMTAB_FUNC(ib_post_send_mad, "", "");
KSYMTAB_FUNC(ib_free_recv_mad, "", "");
KSYMTAB_FUNC(ib_modify_mad, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_string, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u32_hex, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64, "", "");
KSYMTAB_FUNC(rdma_nl_put_driver_u64_hex, "", "");
KSYMTAB_FUNC(rdma_nl_stat_hwcounter_entry, "", "");
KSYMTAB_FUNC(rdma_link_register, "", "");
KSYMTAB_FUNC(rdma_link_unregister, "", "");
KSYMTAB_FUNC(rdma_restrack_count, "", "");
KSYMTAB_FUNC(rdma_restrack_set_name, "", "");
KSYMTAB_FUNC(rdma_restrack_parent_name, "", "");
KSYMTAB_FUNC(rdma_restrack_new, "", "");
KSYMTAB_FUNC(rdma_restrack_add, "", "");
KSYMTAB_FUNC(rdma_restrack_get, "", "");
KSYMTAB_FUNC(rdma_restrack_get_byid, "", "");
KSYMTAB_FUNC(rdma_restrack_put, "", "");
KSYMTAB_FUNC(rdma_restrack_del, "", "");
KSYMTAB_FUNC(rdma_umap_priv_init, "", "");
KSYMTAB_FUNC(rdma_user_mmap_io, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get_pgoff, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_get, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_put, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_remove, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert_range, "", "");
KSYMTAB_FUNC(rdma_user_mmap_entry_insert, "", "");
KSYMTAB_FUNC(ib_create_qp_security, "", "");
KSYMTAB_FUNC(ib_rdmacg_try_charge, "", "");
KSYMTAB_FUNC(ib_rdmacg_uncharge, "", "");

SYMBOL_CRC(ib_pack, 0x22f3cf93, "");
SYMBOL_CRC(ib_unpack, 0xa432baf6, "");
SYMBOL_CRC(ib_ud_ip4_csum, 0x6b958320, "");
SYMBOL_CRC(ib_ud_header_init, 0xb7852a05, "");
SYMBOL_CRC(ib_ud_header_pack, 0xe9e799fc, "");
SYMBOL_CRC(ib_ud_header_unpack, 0x3fc2387c, "");
SYMBOL_CRC(ib_event_msg, 0xf6ed3334, "");
SYMBOL_CRC(ib_wc_status_msg, 0xe5840ec6, "");
SYMBOL_CRC(ib_rate_to_mult, 0xae956dce, "");
SYMBOL_CRC(mult_to_ib_rate, 0xe7b52e5f, "");
SYMBOL_CRC(ib_rate_to_mbps, 0x61d24c52, "");
SYMBOL_CRC(rdma_node_get_transport, 0xf5dedb30, "");
SYMBOL_CRC(rdma_port_get_link_layer, 0xff980c07, "");
SYMBOL_CRC(__ib_alloc_pd, 0xe8f0eaac, "");
SYMBOL_CRC(ib_dealloc_pd_user, 0x99ccff5a, "");
SYMBOL_CRC(rdma_copy_ah_attr, 0x58349f6d, "");
SYMBOL_CRC(rdma_replace_ah_attr, 0x47643636, "");
SYMBOL_CRC(rdma_move_ah_attr, 0xf24919a1, "");
SYMBOL_CRC(rdma_create_ah, 0x1fb9dfd1, "");
SYMBOL_CRC(rdma_create_user_ah, 0xb2f4424b, "");
SYMBOL_CRC(ib_get_rdma_header_version, 0x00cd25ea, "");
SYMBOL_CRC(ib_get_gids_from_rdma_hdr, 0x58df5b94, "");
SYMBOL_CRC(ib_init_ah_attr_from_wc, 0xb77ad7dc, "");
SYMBOL_CRC(rdma_move_grh_sgid_attr, 0xc3094467, "");
SYMBOL_CRC(rdma_destroy_ah_attr, 0xdc95e1e7, "");
SYMBOL_CRC(ib_create_ah_from_wc, 0xbaa190f9, "");
SYMBOL_CRC(rdma_modify_ah, 0xd9a22bda, "");
SYMBOL_CRC(rdma_query_ah, 0x60595afa, "");
SYMBOL_CRC(rdma_destroy_ah_user, 0x61c375c8, "");
SYMBOL_CRC(ib_create_srq_user, 0x738fe3b0, "");
SYMBOL_CRC(ib_modify_srq, 0x85b9cd8b, "");
SYMBOL_CRC(ib_query_srq, 0x83c36057, "");
SYMBOL_CRC(ib_destroy_srq_user, 0xf525173c, "");
SYMBOL_CRC(ib_open_qp, 0x352bfacc, "");
SYMBOL_CRC(ib_create_qp_user, 0xa40c7998, "");
SYMBOL_CRC(ib_qp_usecnt_inc, 0x2973a476, "");
SYMBOL_CRC(ib_qp_usecnt_dec, 0x304f8c47, "");
SYMBOL_CRC(ib_create_qp_kernel, 0x6dd9ccc4, "");
SYMBOL_CRC(ib_modify_qp_is_ok, 0x73baf9a2, "");
SYMBOL_CRC(ib_modify_qp_with_udata, 0x1bc78423, "");
SYMBOL_CRC(ib_get_eth_speed, 0x7df6a9a5, "");
SYMBOL_CRC(ib_modify_qp, 0x7975d6f9, "");
SYMBOL_CRC(ib_query_qp, 0x1412d052, "");
SYMBOL_CRC(ib_close_qp, 0xb418ba78, "");
SYMBOL_CRC(ib_destroy_qp_user, 0x53dbbf17, "");
SYMBOL_CRC(__ib_create_cq, 0x52890a81, "");
SYMBOL_CRC(rdma_set_cq_moderation, 0x6dee1f0e, "");
SYMBOL_CRC(ib_destroy_cq_user, 0x79be4aae, "");
SYMBOL_CRC(ib_resize_cq, 0xc8c3065a, "");
SYMBOL_CRC(ib_reg_user_mr, 0x1c767769, "");
SYMBOL_CRC(ib_advise_mr, 0x670fabff, "");
SYMBOL_CRC(ib_dereg_mr_user, 0x1fa96203, "");
SYMBOL_CRC(ib_alloc_mr, 0xee1cecdf, "");
SYMBOL_CRC(ib_alloc_mr_integrity, 0x8b44eb48, "");
SYMBOL_CRC(ib_attach_mcast, 0xc8b3231f, "");
SYMBOL_CRC(ib_detach_mcast, 0xd170a278, "");
SYMBOL_CRC(ib_alloc_xrcd_user, 0xbf9ac7c1, "");
SYMBOL_CRC(ib_dealloc_xrcd_user, 0xf964f138, "");
SYMBOL_CRC(ib_create_wq, 0x33b8693b, "");
SYMBOL_CRC(ib_destroy_wq_user, 0x97ae0590, "");
SYMBOL_CRC(ib_check_mr_status, 0xec00b77d, "");
SYMBOL_CRC(ib_set_vf_link_state, 0x56cab74b, "");
SYMBOL_CRC(ib_get_vf_config, 0x3475176f, "");
SYMBOL_CRC(ib_get_vf_stats, 0x016a6577, "");
SYMBOL_CRC(ib_set_vf_guid, 0x0a7b11f7, "");
SYMBOL_CRC(ib_get_vf_guid, 0xa24ff522, "");
SYMBOL_CRC(ib_map_mr_sg_pi, 0xb5d07bcc, "");
SYMBOL_CRC(ib_map_mr_sg, 0x32e7a1ac, "");
SYMBOL_CRC(ib_sg_to_pages, 0x13f7a6dd, "");
SYMBOL_CRC(ib_drain_sq, 0x2eced716, "");
SYMBOL_CRC(ib_drain_rq, 0x36f69946, "");
SYMBOL_CRC(ib_drain_qp, 0x91b76c61, "");
SYMBOL_CRC(rdma_alloc_netdev, 0x17d3ec58, "");
SYMBOL_CRC(rdma_init_netdev, 0x6931e885, "");
SYMBOL_CRC(__rdma_block_iter_start, 0x680e3cfd, "");
SYMBOL_CRC(__rdma_block_iter_next, 0x61373fd2, "");
SYMBOL_CRC(rdma_alloc_hw_stats_struct, 0x0d3354a6, "");
SYMBOL_CRC(rdma_free_hw_stats_struct, 0xc8d38664, "");
SYMBOL_CRC(ib_process_cq_direct, 0xd6c6eba2, "");
SYMBOL_CRC(__ib_alloc_cq, 0xd67b5811, "");
SYMBOL_CRC(__ib_alloc_cq_any, 0x5dad4ec4, "");
SYMBOL_CRC(ib_free_cq, 0xf5fb1ccb, "");
SYMBOL_CRC(ib_cq_pool_get, 0xd33915be, "");
SYMBOL_CRC(ib_cq_pool_put, 0x2665e864, "");
SYMBOL_CRC(rdma_rw_ctx_init, 0x3690a2a2, "");
SYMBOL_CRC(rdma_rw_ctx_signature_init, 0x0f4f71a2, "");
SYMBOL_CRC(rdma_rw_ctx_wrs, 0xc4848aa4, "");
SYMBOL_CRC(rdma_rw_ctx_post, 0xe6074f18, "");
SYMBOL_CRC(rdma_rw_ctx_destroy, 0xd3d57472, "");
SYMBOL_CRC(rdma_rw_ctx_destroy_signature, 0x1b434b41, "");
SYMBOL_CRC(rdma_rw_mr_factor, 0x89b89200, "");
SYMBOL_CRC(ib_port_sysfs_get_ibdev_kobj, 0x37e38e8c, "");
SYMBOL_CRC(ib_port_register_client_groups, 0x33a3f276, "");
SYMBOL_CRC(ib_port_unregister_client_groups, 0xf6fedc32, "");
SYMBOL_CRC(ib_wq, 0xdbd019c4, "_gpl");
SYMBOL_CRC(rdma_dev_access_netns, 0x6cb415aa, "");
SYMBOL_CRC(ibdev_printk, 0xcad85746, "");
SYMBOL_CRC(ibdev_emerg, 0x101e70f2, "");
SYMBOL_CRC(ibdev_alert, 0x68b54692, "");
SYMBOL_CRC(ibdev_crit, 0xfa773de4, "");
SYMBOL_CRC(ibdev_err, 0x84c97eea, "");
SYMBOL_CRC(ibdev_warn, 0x4c0f6b87, "");
SYMBOL_CRC(ibdev_notice, 0x3c815314, "");
SYMBOL_CRC(ibdev_info, 0xc3e678b0, "");
SYMBOL_CRC(ib_device_put, 0x535c3a81, "");
SYMBOL_CRC(ib_device_get_by_name, 0x07012f58, "");
SYMBOL_CRC(_ib_alloc_device, 0x7694fd01, "");
SYMBOL_CRC(ib_dealloc_device, 0xf1aa5604, "");
SYMBOL_CRC(ib_port_immutable_read, 0x54afcc4a, "");
SYMBOL_CRC(ib_get_device_fw_str, 0xcd60cd80, "");
SYMBOL_CRC(ib_register_device, 0x365a87d8, "");
SYMBOL_CRC(ib_unregister_device, 0x213abfca, "");
SYMBOL_CRC(ib_unregister_device_and_put, 0xbeb63626, "");
SYMBOL_CRC(ib_unregister_driver, 0xd0478dc4, "");
SYMBOL_CRC(ib_unregister_device_queued, 0x417e574d, "");
SYMBOL_CRC(ib_register_client, 0x59b61a85, "");
SYMBOL_CRC(ib_unregister_client, 0xe33174d2, "");
SYMBOL_CRC(ib_set_client_data, 0xfa5a98f1, "");
SYMBOL_CRC(ib_register_event_handler, 0x07f27dd3, "");
SYMBOL_CRC(ib_unregister_event_handler, 0xa704ff65, "");
SYMBOL_CRC(ib_query_port, 0xdc1f521e, "");
SYMBOL_CRC(ib_device_set_netdev, 0x1c834410, "");
SYMBOL_CRC(ib_device_get_by_netdev, 0xeae0df96, "");
SYMBOL_CRC(ib_query_pkey, 0x82006dc1, "");
SYMBOL_CRC(ib_modify_device, 0x5ec156af, "");
SYMBOL_CRC(ib_modify_port, 0x5b69e6d8, "");
SYMBOL_CRC(ib_find_gid, 0x032d29f5, "");
SYMBOL_CRC(ib_find_pkey, 0x1359c8a4, "");
SYMBOL_CRC(ib_get_net_dev_by_params, 0xd1e04754, "");
SYMBOL_CRC(ib_set_device_ops, 0xd6d43e1e, "");
SYMBOL_CRC(ib_dma_virt_map_sg, 0x15b562ed, "");
SYMBOL_CRC(zgid, 0x434c5d10, "");
SYMBOL_CRC(ib_cache_gid_type_str, 0x55bb02f3, "");
SYMBOL_CRC(rdma_is_zero_gid, 0x6f3614b6, "");
SYMBOL_CRC(ib_cache_gid_parse_type_str, 0x90e807c7, "");
SYMBOL_CRC(rdma_find_gid_by_port, 0xa3c5107a, "");
SYMBOL_CRC(rdma_query_gid, 0xee21b654, "");
SYMBOL_CRC(rdma_read_gid_hw_context, 0x0cda5af5, "");
SYMBOL_CRC(rdma_find_gid, 0x3383bd7b, "");
SYMBOL_CRC(ib_get_cached_pkey, 0x32b1d416, "");
SYMBOL_CRC(ib_get_cached_subnet_prefix, 0x5f12bfda, "");
SYMBOL_CRC(ib_find_cached_pkey, 0xd5f18dd6, "");
SYMBOL_CRC(ib_find_exact_cached_pkey, 0xa3905b94, "");
SYMBOL_CRC(ib_get_cached_lmc, 0xd6fd21f5, "");
SYMBOL_CRC(ib_get_cached_port_state, 0xb5700e31, "");
SYMBOL_CRC(rdma_get_gid_attr, 0xc93e3611, "");
SYMBOL_CRC(rdma_query_gid_table, 0xca187717, "");
SYMBOL_CRC(rdma_put_gid_attr, 0xef640553, "");
SYMBOL_CRC(rdma_hold_gid_attr, 0x72ee49c1, "");
SYMBOL_CRC(rdma_read_gid_attr_ndev_rcu, 0x116ded40, "");
SYMBOL_CRC(rdma_read_gid_l2_fields, 0x7b722780, "");
SYMBOL_CRC(ib_dispatch_event, 0xbd35184a, "");
SYMBOL_CRC(rdma_nl_chk_listeners, 0x45fb8985, "");
SYMBOL_CRC(rdma_nl_register, 0xab07375c, "");
SYMBOL_CRC(rdma_nl_unregister, 0x75a729a0, "");
SYMBOL_CRC(ibnl_put_msg, 0xaa462de4, "");
SYMBOL_CRC(ibnl_put_attr, 0xbbb804be, "");
SYMBOL_CRC(rdma_nl_unicast, 0x68752863, "");
SYMBOL_CRC(rdma_nl_unicast_wait, 0xe942c9ef, "");
SYMBOL_CRC(rdma_nl_multicast, 0xdb3986cb, "");
SYMBOL_CRC(roce_gid_type_mask_support, 0xedea34c4, "");
SYMBOL_CRC(rdma_roce_rescan_device, 0x29d64176, "");
SYMBOL_CRC(ib_mr_pool_get, 0x0ed2b839, "");
SYMBOL_CRC(ib_mr_pool_put, 0x90324de8, "");
SYMBOL_CRC(ib_mr_pool_init, 0x1f4103b4, "");
SYMBOL_CRC(ib_mr_pool_destroy, 0x52e42109, "");
SYMBOL_CRC(rdma_addr_size, 0x70807834, "");
SYMBOL_CRC(rdma_addr_size_in6, 0xd6636ca6, "");
SYMBOL_CRC(rdma_addr_size_kss, 0x305e5701, "");
SYMBOL_CRC(rdma_copy_src_l2_addr, 0x8b018479, "");
SYMBOL_CRC(rdma_translate_ip, 0xba4a16d6, "");
SYMBOL_CRC(rdma_resolve_ip, 0x8b028816, "");
SYMBOL_CRC(rdma_addr_cancel, 0x24505fa4, "");
SYMBOL_CRC(ib_sa_register_client, 0x0c86f5cb, "");
SYMBOL_CRC(ib_sa_unregister_client, 0x439ce33c, "");
SYMBOL_CRC(ib_sa_cancel_query, 0xda0d50ec, "");
SYMBOL_CRC(ib_init_ah_attr_from_path, 0xedfd8645, "");
SYMBOL_CRC(ib_sa_unpack_path, 0xd21bb37a, "");
SYMBOL_CRC(ib_sa_pack_path, 0xb4c40040, "");
SYMBOL_CRC(ib_sa_path_rec_get, 0xbc07bb4b, "");
SYMBOL_CRC(ib_sa_guid_info_rec_query, 0xfcfb75be, "");
SYMBOL_CRC(ib_sa_join_multicast, 0x3ef54b3d, "");
SYMBOL_CRC(ib_sa_free_multicast, 0x4e90435c, "");
SYMBOL_CRC(ib_sa_get_mcmember_rec, 0x95429278, "");
SYMBOL_CRC(ib_init_ah_from_mcmember, 0x2fea1ab6, "");
SYMBOL_CRC(ib_response_mad, 0x4e155af0, "");
SYMBOL_CRC(ib_register_mad_agent, 0x97a28feb, "");
SYMBOL_CRC(ib_unregister_mad_agent, 0x5667c0fe, "");
SYMBOL_CRC(ib_mad_kernel_rmpp_agent, 0x74909be1, "");
SYMBOL_CRC(ib_create_send_mad, 0xb0dadcd7, "");
SYMBOL_CRC(ib_get_mad_data_offset, 0x787ccc4c, "");
SYMBOL_CRC(ib_is_mad_class_rmpp, 0x613b1e2e, "");
SYMBOL_CRC(ib_get_rmpp_segment, 0x94201fdb, "");
SYMBOL_CRC(ib_free_send_mad, 0x5120f5e2, "");
SYMBOL_CRC(ib_post_send_mad, 0xc3d93759, "");
SYMBOL_CRC(ib_free_recv_mad, 0x5789eceb, "");
SYMBOL_CRC(ib_modify_mad, 0x092146e6, "");
SYMBOL_CRC(rdma_nl_put_driver_string, 0xff2c1b59, "");
SYMBOL_CRC(rdma_nl_put_driver_u32, 0x279bc87d, "");
SYMBOL_CRC(rdma_nl_put_driver_u32_hex, 0xcc15a55b, "");
SYMBOL_CRC(rdma_nl_put_driver_u64, 0x63070415, "");
SYMBOL_CRC(rdma_nl_put_driver_u64_hex, 0x6704c968, "");
SYMBOL_CRC(rdma_nl_stat_hwcounter_entry, 0xd6d06282, "");
SYMBOL_CRC(rdma_link_register, 0x566a7cee, "");
SYMBOL_CRC(rdma_link_unregister, 0x6c16619c, "");
SYMBOL_CRC(rdma_restrack_count, 0x05ac3396, "");
SYMBOL_CRC(rdma_restrack_set_name, 0x3a9efa7d, "");
SYMBOL_CRC(rdma_restrack_parent_name, 0xfff8388b, "");
SYMBOL_CRC(rdma_restrack_new, 0xca6d081e, "");
SYMBOL_CRC(rdma_restrack_add, 0x3f599b17, "");
SYMBOL_CRC(rdma_restrack_get, 0x1748bedb, "");
SYMBOL_CRC(rdma_restrack_get_byid, 0x9246c1b3, "");
SYMBOL_CRC(rdma_restrack_put, 0xb11d9ef0, "");
SYMBOL_CRC(rdma_restrack_del, 0x54b3f867, "");
SYMBOL_CRC(rdma_umap_priv_init, 0xe2c2871a, "");
SYMBOL_CRC(rdma_user_mmap_io, 0x65ee967c, "");
SYMBOL_CRC(rdma_user_mmap_entry_get_pgoff, 0xddefa54f, "");
SYMBOL_CRC(rdma_user_mmap_entry_get, 0x9f502a9f, "");
SYMBOL_CRC(rdma_user_mmap_entry_put, 0x57dbe633, "");
SYMBOL_CRC(rdma_user_mmap_entry_remove, 0x80dac854, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert_range, 0x9ff575cc, "");
SYMBOL_CRC(rdma_user_mmap_entry_insert, 0xe81cfd95, "");
SYMBOL_CRC(ib_create_qp_security, 0x1de9cdff, "");
SYMBOL_CRC(ib_rdmacg_try_charge, 0xfff5ccab, "");
SYMBOL_CRC(ib_rdmacg_uncharge, 0x691e933c, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe2a2a270, "netlink_unicast" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xd721de21, "dev_get_by_index" },
	{ 0x8c4164c3, "kfree_skb_reason" },
	{ 0xb04a43ad, "__xa_alloc_cyclic" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdc2437f1, "skb_push" },
	{ 0xfbb8a761, "strscpy_pad" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xb72593bf, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xca2256da, "netlink_kernel_release" },
	{ 0x68b91ff4, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x76ce235e, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xcdb10eb8, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x131a6146, "xa_clear_mark" },
	{ 0xc2d6e649, "bpf_trace_run1" },
	{ 0x4b09e0c8, "device_del" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x1d3b8771, "netdev_get_xmit_slave" },
	{ 0xfb578fc5, "memset" },
	{ 0x450a17c2, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xc5d8464b, "__get_task_comm" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xece784c2, "rb_first" },
	{ 0xd94c98a6, "__neigh_event_send" },
	{ 0x7539d9c3, "dev_printk_emit" },
	{ 0x2bcfdfcc, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc4530a2f, "skb_trim" },
	{ 0x4ac25802, "netdev_has_upper_dev_all_rcu" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xe16a62ff, "netdev_walk_all_upper_dev_rcu" },
	{ 0xbe8d6920, "bpf_trace_run3" },
	{ 0xb1a774, "__put_net" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xe8ff3aa, "_dev_notice" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xfe3dc2ed, "neigh_destroy" },
	{ 0xf3323f7, "kobject_del" },
	{ 0xae7f1a5f, "trace_event_buffer_reserve" },
	{ 0x495ab13f, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa5d6e4b5, "param_ops_bool" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xe2b219fe, "netdev_master_upper_dev_get_rcu" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0x549690f8, "dev_get_by_name" },
	{ 0x320ee13f, "netlink_ns_capable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2de8ec4d, "dst_release" },
	{ 0xc8e8044e, "kobject_uevent" },
	{ 0xa76aaf17, "rdmacg_uncharge" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0x2f2e91b2, "security_ib_alloc_security" },
	{ 0x18888d00, "downgrade_write" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf738d1be, "register_blocking_lsm_notifier" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc21877ec, "vlan_dev_vlan_id" },
	{ 0x9d90ceaa, "dma_unmap_sg_attrs" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x57fffe7d, "ipv6_chk_addr" },
	{ 0x9da0ba4, "xa_set_mark" },
	{ 0x754d539c, "strlen" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x50be748d, "security_ib_free_security" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x46d162c7, "netlink_has_listeners" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xbc5a0be3, "register_pernet_device" },
	{ 0x586f39f5, "get_net_ns_by_fd" },
	{ 0x982a34c7, "class_register" },
	{ 0xe1a8d7c9, "net_rwsem" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x95c97b1c, "kobject_put" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x758589df, "__netlink_dump_start" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x1757935, "rdmacg_register_device" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x946a00d1, "rdmacg_try_charge" },
	{ 0x56611c00, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe15072e8, "bpf_trace_run4" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0xb8ff7e57, "__nlmsg_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x760e8d05, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x2883883e, "dev_set_name" },
	{ 0xeae5cf22, "ip6_dst_hoplimit" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb09116ad, "trace_raw_output_prep" },
	{ 0x1b6865c, "xa_get_mark" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x88cce6a0, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x976272f9, "__trace_trigger_soft_disabled" },
	{ 0x636ac158, "dma_unmap_page_attrs" },
	{ 0xb6a632e1, "trace_event_printf" },
	{ 0x720cef96, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7cd8750b, "sysfs_remove_groups" },
	{ 0xe02c9c92, "__xa_erase" },
	{ 0x294a45e1, "__put_task_struct" },
	{ 0x1b777357, "rdmacg_unregister_device" },
	{ 0x39c9d88c, "xas_find" },
	{ 0xb6decae, "kobject_init" },
	{ 0xa0e8504f, "device_initialize" },
	{ 0x6e2d973, "__dynamic_ibdev_dbg" },
	{ 0x3c108714, "sysfs_create_groups" },
	{ 0xbc9bbba3, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xab84600e, "remap_pfn_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x1e80ba0d, "in6_dev_finish_destroy" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x5766f969, "__netlink_kernel_create" },
	{ 0xcbca16bd, "bpf_trace_run2" },
	{ 0x15766a5f, "ip_route_output_flow" },
	{ 0xefa3e83f, "get_device" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x464b6e4c, "__dynamic_dev_dbg" },
	{ 0x88822d38, "unregister_blocking_lsm_notifier" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xd9a36ef2, "netlink_ack" },
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xeabad4ed, "device_rename" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0xe37f8cf8, "dev_driver_string" },
	{ 0x869fa85a, "trace_event_buffer_commit" },
	{ 0xdf2ebb87, "_raw_read_unlock_irqrestore" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfebfee9c, "dma_map_page_attrs" },
	{ 0xde630452, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x489f6e0b, "rdma_dim" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb079cde4, "put_device" },
	{ 0x6e631980, "netlink_broadcast" },
	{ 0xd5c38916, "net_ns_type_operations" },
	{ 0xe58090ca, "security_ib_endport_manage_subnet" },
	{ 0xa916b694, "strnlen" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xe4bb72f4, "__alloc_skb" },
	{ 0xfdd87e3c, "netlink_capable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb1342cdb, "_raw_read_lock_irqsave" },
	{ 0x3f89071b, "security_ib_pkey_access" },
	{ 0xc6cbbc89, "capable" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x272a323b, "__task_pid_nr_ns" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x17a0a056, "vlan_dev_real_dev" },
	{ 0x98378a1d, "cc_mkdec" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8cf33c74, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa184bb7, "_dev_err" },
	{ 0x6a395f8d, "init_net" },
	{ 0x2466e79c, "kobject_add" },
	{ 0xce807a25, "up_write" },
	{ 0xba40d8fb, "ipv6_stub" },
	{ 0xba34da31, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8f49c076, "device_add" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F0AAF1FB69F82C46B131D0");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
