#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rdma_event_msg, "", "");
KSYMTAB_FUNC(rdma_reject_msg, "", "");
KSYMTAB_FUNC(rdma_consumer_reject_data, "", "");
KSYMTAB_FUNC(rdma_iw_cm_id, "", "");
KSYMTAB_FUNC(rdma_res_to_id, "", "");
KSYMTAB_FUNC(__rdma_create_kernel_id, "", "");
KSYMTAB_FUNC(rdma_create_user_id, "", "");
KSYMTAB_FUNC(rdma_create_qp, "", "");
KSYMTAB_FUNC(rdma_destroy_qp, "", "");
KSYMTAB_FUNC(rdma_init_qp_attr, "", "");
KSYMTAB_FUNC(rdma_destroy_id, "", "");
KSYMTAB_FUNC(rdma_get_service_id, "", "");
KSYMTAB_FUNC(rdma_read_gids, "", "");
KSYMTAB_FUNC(rdma_set_service_type, "", "");
KSYMTAB_FUNC(rdma_set_ack_timeout, "", "");
KSYMTAB_FUNC(rdma_set_min_rnr_timer, "", "");
KSYMTAB_FUNC(rdma_set_ib_path, "", "");
KSYMTAB_FUNC(rdma_resolve_route, "", "");
KSYMTAB_FUNC(rdma_set_reuseaddr, "", "");
KSYMTAB_FUNC(rdma_set_afonly, "", "");
KSYMTAB_FUNC(rdma_listen, "", "");
KSYMTAB_FUNC(rdma_resolve_addr, "", "");
KSYMTAB_FUNC(rdma_bind_addr, "", "");
KSYMTAB_FUNC(rdma_connect_locked, "", "");
KSYMTAB_FUNC(rdma_connect, "", "");
KSYMTAB_FUNC(rdma_connect_ece, "", "");
KSYMTAB_FUNC(rdma_accept, "", "");
KSYMTAB_FUNC(rdma_accept_ece, "", "");
KSYMTAB_FUNC(rdma_lock_handler, "", "");
KSYMTAB_FUNC(rdma_unlock_handler, "", "");
KSYMTAB_FUNC(rdma_notify, "", "");
KSYMTAB_FUNC(rdma_reject, "", "");
KSYMTAB_FUNC(rdma_disconnect, "", "");
KSYMTAB_FUNC(rdma_join_multicast, "", "");
KSYMTAB_FUNC(rdma_leave_multicast, "", "");

SYMBOL_CRC(rdma_event_msg, 0x907df803, "");
SYMBOL_CRC(rdma_reject_msg, 0xf4ca8db3, "");
SYMBOL_CRC(rdma_consumer_reject_data, 0x6b686529, "");
SYMBOL_CRC(rdma_iw_cm_id, 0xa220f431, "");
SYMBOL_CRC(rdma_res_to_id, 0xd31118c5, "");
SYMBOL_CRC(__rdma_create_kernel_id, 0x67667336, "");
SYMBOL_CRC(rdma_create_user_id, 0xd3d56549, "");
SYMBOL_CRC(rdma_create_qp, 0x502482eb, "");
SYMBOL_CRC(rdma_destroy_qp, 0x40dd1a5f, "");
SYMBOL_CRC(rdma_init_qp_attr, 0xf1bef5a5, "");
SYMBOL_CRC(rdma_destroy_id, 0x40d0b98b, "");
SYMBOL_CRC(rdma_get_service_id, 0x9f06b103, "");
SYMBOL_CRC(rdma_read_gids, 0xa0c0fb55, "");
SYMBOL_CRC(rdma_set_service_type, 0x6dbcda2f, "");
SYMBOL_CRC(rdma_set_ack_timeout, 0x6f3bb2a9, "");
SYMBOL_CRC(rdma_set_min_rnr_timer, 0x222f714c, "");
SYMBOL_CRC(rdma_set_ib_path, 0xc99e901c, "");
SYMBOL_CRC(rdma_resolve_route, 0x45c07cb3, "");
SYMBOL_CRC(rdma_set_reuseaddr, 0x49727e35, "");
SYMBOL_CRC(rdma_set_afonly, 0x04d81ad7, "");
SYMBOL_CRC(rdma_listen, 0x677f26a9, "");
SYMBOL_CRC(rdma_resolve_addr, 0x0ed306c8, "");
SYMBOL_CRC(rdma_bind_addr, 0xdb4d05be, "");
SYMBOL_CRC(rdma_connect_locked, 0xcf0fad6e, "");
SYMBOL_CRC(rdma_connect, 0x3f5f529c, "");
SYMBOL_CRC(rdma_connect_ece, 0xad78b0d7, "");
SYMBOL_CRC(rdma_accept, 0xd236c413, "");
SYMBOL_CRC(rdma_accept_ece, 0x2f147278, "");
SYMBOL_CRC(rdma_lock_handler, 0xb1c78597, "");
SYMBOL_CRC(rdma_unlock_handler, 0xc4140af9, "");
SYMBOL_CRC(rdma_notify, 0x6ced975a, "");
SYMBOL_CRC(rdma_reject, 0x2e6bcf81, "");
SYMBOL_CRC(rdma_disconnect, 0x0a1612b1, "");
SYMBOL_CRC(rdma_join_multicast, 0x13903b1b, "");
SYMBOL_CRC(rdma_leave_multicast, 0x917bbcbc, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1f9bed73, "iw_cm_connect" },
	{ 0x3f599b17, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x24505fa4, "rdma_addr_cancel" },
	{ 0xeb9effe2, "ib_cm_notify" },
	{ 0xa916b694, "strnlen" },
	{ 0x95429278, "ib_sa_get_mcmember_rec" },
	{ 0xc6cbbc89, "capable" },
	{ 0xda0d50ec, "ib_sa_cancel_query" },
	{ 0x59b61a85, "ib_register_client" },
	{ 0xbc07bb4b, "ib_sa_path_rec_get" },
	{ 0x6133334b, "ib_create_cm_id" },
	{ 0x7c72380d, "__ip_mc_dec_group" },
	{ 0x17a0a056, "vlan_dev_real_dev" },
	{ 0x439ce33c, "ib_sa_unregister_client" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8cf33c74, "perf_trace_run_bpf_submit" },
	{ 0x2fea1ab6, "ib_init_ah_from_mcmember" },
	{ 0xdc95e1e7, "rdma_destroy_ah_attr" },
	{ 0xfa5a98f1, "ib_set_client_data" },
	{ 0x6a395f8d, "init_net" },
	{ 0x32b1d416, "ib_get_cached_pkey" },
	{ 0x110ab080, "configfs_register_subsystem" },
	{ 0x1f3af4aa, "configfs_remove_default_groups" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xef640553, "rdma_put_gid_attr" },
	{ 0x1c485a39, "config_group_init_type_name" },
	{ 0xd721de21, "dev_get_by_index" },
	{ 0x4e801b79, "iw_destroy_cm_id" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4fe1eddf, "unregister_netevent_notifier" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xfddadcbd, "ib_send_cm_rep" },
	{ 0xb72593bf, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x90e807c7, "ib_cache_gid_parse_type_str" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x88d700bb, "iw_cm_disconnect" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0xf3df871f, "iwcm_reject_msg" },
	{ 0xc2d6e649, "bpf_trace_run1" },
	{ 0x53dbbf17, "ib_destroy_qp_user" },
	{ 0xab696d59, "unregister_pernet_subsys" },
	{ 0x87d24016, "ib_cm_init_qp_attr" },
	{ 0x450a17c2, "_dev_warn" },
	{ 0x8a9f151e, "ib_send_cm_drep" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3a9efa7d, "rdma_restrack_set_name" },
	{ 0xd1e04754, "ib_get_net_dev_by_params" },
	{ 0x4e90435c, "ib_sa_free_multicast" },
	{ 0xb5700e31, "ib_get_cached_port_state" },
	{ 0x77a02292, "ib_send_cm_mra" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x54b3f867, "rdma_restrack_del" },
	{ 0x7975d6f9, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0xbe8d6920, "bpf_trace_run3" },
	{ 0xb1a774, "__put_net" },
	{ 0xfff8388b, "rdma_restrack_parent_name" },
	{ 0xdd64e639, "strscpy" },
	{ 0xb70fcf15, "iw_cm_accept" },
	{ 0xae7f1a5f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x21c670bb, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbb2c7819, "iw_cm_reject" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x69824a14, "ibcm_reject_msg" },
	{ 0xbbf4ad8, "iw_cm_init_qp_attr" },
	{ 0x2de8ec4d, "dst_release" },
	{ 0x4badcd00, "ib_send_cm_rtu" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x836fca64, "ib_send_cm_dreq" },
	{ 0xbf692857, "ib_send_cm_req" },
	{ 0x6dd9ccc4, "ib_create_qp_kernel" },
	{ 0x3ef54b3d, "ib_sa_join_multicast" },
	{ 0xedea34c4, "roce_gid_type_mask_support" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xc93e3611, "rdma_get_gid_attr" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xca6d081e, "rdma_restrack_new" },
	{ 0xdc23f16b, "__fib_lookup" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x41231023, "iw_cm_listen" },
	{ 0x1cbb0a2e, "ib_send_cm_rej" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8b018479, "rdma_copy_src_l2_addr" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x8b028816, "rdma_resolve_ip" },
	{ 0xa5a5bd4, "ib_send_cm_sidr_req" },
	{ 0x55bb02f3, "ib_cache_gid_type_str" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x99a51767, "iw_create_cm_id" },
	{ 0xcf2774c7, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xe33174d2, "ib_unregister_client" },
	{ 0x56611c00, "netdev_walk_all_lower_dev_rcu" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe7cde48d, "ib_send_cm_sidr_rep" },
	{ 0xe15072e8, "bpf_trace_run4" },
	{ 0x262a39cd, "config_group_init" },
	{ 0xedfd8645, "ib_init_ah_attr_from_path" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4761f17c, "register_netevent_notifier" },
	{ 0xa3c5107a, "rdma_find_gid_by_port" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb09116ad, "trace_raw_output_prep" },
	{ 0x5df969db, "ib_cm_insert_listen" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x976272f9, "__trace_trigger_soft_disabled" },
	{ 0xb6a632e1, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc86f5cb, "ib_sa_register_client" },
	{ 0xbc9bbba3, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xee21b654, "rdma_query_gid" },
	{ 0x398f3a8e, "rt6_lookup" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xba4a16d6, "rdma_translate_ip" },
	{ 0xcbca16bd, "bpf_trace_run2" },
	{ 0x6cb415aa, "rdma_dev_access_netns" },
	{ 0xf31f71cc, "fib_table_lookup" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x70807834, "rdma_addr_size" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x6ee9e91b, "ib_destroy_cm_id" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xf5dedb30, "rdma_node_get_transport" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x128c00d4, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x61fd45e4, "register_pernet_subsys" },
	{ 0x869fa85a, "trace_event_buffer_commit" },
	{ 0x595150d1, "ip_mc_inc_group" },
	{ 0x116ded40, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xd5f18dd6, "ib_find_cached_pkey" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1fbd16da, "ip_tos2prio" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "iw_cm,ib_core,ib_cm,configfs");


MODULE_INFO(srcversion, "3071EF2C57F10E5C74CF5BE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
