#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_offload_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_get_echo_skb_queue_tail, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_threaded_irq_finish, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_timestamp, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_fifo, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_add_manual, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_enable, "_gpl", "");
KSYMTAB_FUNC(can_rx_offload_del, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x0dd8eebc, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0x44d0b1b3, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x3731b18f, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0xbd12d257, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x27ad5a39, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x599451ef, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x9f7f303f, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x989703c9, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0xf7ea3be5, "_gpl");
SYMBOL_CRC(can_bus_off, 0x2f0bd9c9, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x5a4fb725, "_gpl");
SYMBOL_CRC(free_candev, 0xc8d7c40e, "_gpl");
SYMBOL_CRC(can_change_mtu, 0xa7aac0ea, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xfec12657, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0xf76883ef, "");
SYMBOL_CRC(open_candev, 0xeac8ccae, "_gpl");
SYMBOL_CRC(close_candev, 0x37b84a8d, "_gpl");
SYMBOL_CRC(register_candev, 0x523220d3, "_gpl");
SYMBOL_CRC(unregister_candev, 0x0280d6ca, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x371f51f2, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0xbe4956f9, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_timestamp, 0xc6a6251a, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_offload_fifo, 0x11899350, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_timestamp, 0x29796341, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_timestamp, 0x8f7f2067, "_gpl");
SYMBOL_CRC(can_rx_offload_queue_tail, 0xe62d4046, "_gpl");
SYMBOL_CRC(can_rx_offload_get_echo_skb_queue_tail, 0xa8cb3db0, "_gpl");
SYMBOL_CRC(can_rx_offload_irq_finish, 0xb6460ad0, "_gpl");
SYMBOL_CRC(can_rx_offload_threaded_irq_finish, 0x7eb6be10, "_gpl");
SYMBOL_CRC(can_rx_offload_add_timestamp, 0xefe24836, "_gpl");
SYMBOL_CRC(can_rx_offload_add_fifo, 0xb110aee7, "_gpl");
SYMBOL_CRC(can_rx_offload_add_manual, 0x2b579eff, "_gpl");
SYMBOL_CRC(can_rx_offload_enable, 0x5e63f9e3, "_gpl");
SYMBOL_CRC(can_rx_offload_del, 0x860e137b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a366640, "unregister_netdev" },
	{ 0xe2b4e0f4, "skb_dequeue" },
	{ 0x36212908, "rtnl_link_register" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x47089468, "netdev_warn" },
	{ 0xa4576caf, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x23a61f7e, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x464b6e4c, "__dynamic_dev_dbg" },
	{ 0x6ee133d7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x29670f0c, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeaf0c78e, "napi_complete_done" },
	{ 0xde630452, "alloc_netdev_mqs" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xb1ae3869, "__napi_schedule" },
	{ 0xaa59ba95, "device_property_read_u32_array" },
	{ 0x44e7f30a, "rtnl_link_unregister" },
	{ 0x8c4164c3, "kfree_skb_reason" },
	{ 0x79555940, "napi_enable" },
	{ 0xb25027c5, "netif_receive_skb" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xbb55ed92, "register_netdev" },
	{ 0x67823039, "free_netdev" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x4ef28870, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x49a4b72f, "netif_rx" },
	{ 0x6a65038b, "__netdev_alloc_skb" },
	{ 0xc4530a2f, "skb_trim" },
	{ 0x57aa80cb, "__dynamic_netdev_dbg" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4780110b, "netif_carrier_off" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xfce47713, "skb_clone" },
	{ 0x69a16d8, "netif_carrier_on" },
	{ 0x11a331f, "dev_err_probe" },
	{ 0xbe0c4ffe, "napi_schedule_prep" },
	{ 0x23ae5793, "dev_kfree_skb_any_reason" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc2426609, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x760e8d05, "skb_put" },
	{ 0xc5760a3d, "gpiod_set_value" },
	{ 0x10d9e917, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xf7e86961, "consume_skb" },
	{ 0x17718aa2, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "19924326AF55730FADE0FB2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
