#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rndis_status, "_gpl", "");
KSYMTAB_FUNC(rndis_command, "_gpl", "");
KSYMTAB_FUNC(generic_rndis_bind, "_gpl", "");
KSYMTAB_FUNC(rndis_unbind, "_gpl", "");
KSYMTAB_FUNC(rndis_rx_fixup, "_gpl", "");
KSYMTAB_FUNC(rndis_tx_fixup, "_gpl", "");

SYMBOL_CRC(rndis_status, 0x92ed23ed, "_gpl");
SYMBOL_CRC(rndis_command, 0x2d4ed913, "_gpl");
SYMBOL_CRC(generic_rndis_bind, 0x9b3b93af, "_gpl");
SYMBOL_CRC(rndis_unbind, 0x06b8f440, "_gpl");
SYMBOL_CRC(rndis_rx_fixup, 0xb3ac51c9, "_gpl");
SYMBOL_CRC(rndis_tx_fixup, 0x7c9c7f59, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xab76ca3f, "usb_control_msg" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9536b120, "usb_interrupt_msg" },
	{ 0xf9a482f9, "msleep" },
	{ 0x464b6e4c, "__dynamic_dev_dbg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa4bfb04f, "_dev_info" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa184bb7, "_dev_err" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x41777a4e, "usbnet_generic_cdc_bind" },
	{ 0x450a17c2, "_dev_warn" },
	{ 0xf133a31a, "usb_driver_release_interface" },
	{ 0x37a0cba, "kfree" },
	{ 0x9611f7e3, "dev_addr_mod" },
	{ 0x57aa80cb, "__dynamic_netdev_dbg" },
	{ 0xba34da31, "skb_pull" },
	{ 0xc4530a2f, "skb_trim" },
	{ 0xe1a2d55e, "usbnet_cdc_zte_rx_fixup" },
	{ 0xfce47713, "skb_clone" },
	{ 0x45d31c6e, "usbnet_skb_return" },
	{ 0xede0654c, "skb_copy_expand" },
	{ 0x23ae5793, "dev_kfree_skb_any_reason" },
	{ 0xb0e602eb, "memmove" },
	{ 0xeaec97ab, "usb_register_driver" },
	{ 0x32475dad, "usb_deregister" },
	{ 0xe8369aa1, "usbnet_cdc_unbind" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd1c92d2, "usbnet_probe" },
	{ 0x29e36a3e, "usbnet_disconnect" },
	{ 0x664783f0, "usbnet_suspend" },
	{ 0x4737b034, "usbnet_resume" },
	{ 0xb5fa5d46, "usbnet_open" },
	{ 0xe13599a5, "usbnet_stop" },
	{ 0x339f6d18, "usbnet_start_xmit" },
	{ 0x40d3375c, "eth_mac_addr" },
	{ 0x2b4db125, "eth_validate_addr" },
	{ 0xadd7cb29, "usbnet_tx_timeout" },
	{ 0xc93525c0, "dev_get_tstats64" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "usbcore,cdc_ether,usbnet");

MODULE_ALIAS("usb:v1630p0042d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v238Bp*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v19D2p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic02isc02ipFFin*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc01ip01in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icE0isc01ip03in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*icEFisc04ip01in*");

MODULE_INFO(srcversion, "3B05777579B45683A4B889E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
