#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt76x0_chip_onoff, "_gpl", "");
KSYMTAB_FUNC(mt76x0_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x0_init_hardware, "_gpl", "");
KSYMTAB_FUNC(mt76x0_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76x0_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x0_config, "_gpl", "");
KSYMTAB_FUNC(mt76x0_phy_calibrate, "_gpl", "");

SYMBOL_CRC(mt76x0_chip_onoff, 0x899eeec9, "_gpl");
SYMBOL_CRC(mt76x0_mac_stop, 0x8a99f327, "_gpl");
SYMBOL_CRC(mt76x0_init_hardware, 0x26661c55, "_gpl");
SYMBOL_CRC(mt76x0_register_device, 0xba3aa962, "_gpl");
SYMBOL_CRC(mt76x0_set_sar_specs, 0xd128c111, "_gpl");
SYMBOL_CRC(mt76x0_config, 0x62d0c826, "_gpl");
SYMBOL_CRC(mt76x0_phy_calibrate, 0x8c9b48eb, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa24d77ab, "mt76x02_mac_shared_key_setup" },
	{ 0xcac3f65a, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbe554aa8, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa4bfb04f, "_dev_info" },
	{ 0x584af91f, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xfaab29ab, "ieee80211_queue_delayed_work" },
	{ 0x6321c5eb, "mt76_eeprom_init" },
	{ 0xa184bb7, "_dev_err" },
	{ 0xfb8b2054, "mt76x02_mac_setaddr" },
	{ 0xbc87cdf3, "mt76_register_device" },
	{ 0x53336b0c, "mt76x02_phy_set_bw" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x2021e15c, "mt76x02_phy_set_band" },
	{ 0x538eaa75, "mt76_set_channel" },
	{ 0x785d5365, "mt76x02_init_device" },
	{ 0x6b8bfdef, "ieee80211_wake_queues" },
	{ 0x1edff1f0, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x634c4a68, "mt76x02_phy_set_rxpath" },
	{ 0xce4cc782, "mt76x02_edcca_init" },
	{ 0x6945018d, "mt76_eeprom_override" },
	{ 0xfa3518a6, "mt76x02_get_lna_gain" },
	{ 0xcfddf2de, "mt76x02_init_debugfs" },
	{ 0x450a17c2, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x61fddde1, "ieee80211_stop_queues" },
	{ 0x854eefd0, "mt76x02_mac_cc_reset" },
	{ 0x6cd7fca7, "mt76x02_init_agc_gain" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xb68f8fbe, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb0327e48, "____mt76_poll_msec" },
	{ 0xbae32a05, "mt76x02_dfs_init_params" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6a81e5c6, "mt76x02_config_mac_addr_list" },
	{ 0xfd52f1bc, "mt76_get_sar_power" },
	{ 0x5e2f17dd, "mt76x02_eeprom_copy" },
	{ 0x7a9c3f59, "mt76x02_mcu_calibrate" },
	{ 0xf7be8668, "mt76x02_mcu_function_select" },
	{ 0x9d8c3c00, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x5b1c30b2, "mt76x02_mac_wcid_setup" },
	{ 0x3ef70cfd, "__mt76_poll" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x10cf4a53, "mt76x02_phy_set_txdac" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x6d2d52b1, "mt76_get_min_avg_rssi" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2a455c14, "mt76_init_sar_power" },
	{ 0x23687532, "mt76x02_phy_adjust_vga_gain" },
	{ 0xd3f61288, "mt76x02_phy_dfs_adjust_agc" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc4b4fc27, "cfg80211_chandef_valid" },
	{ 0x464b6e4c, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "mt76x02-lib,mac80211,mt76,cfg80211");


MODULE_INFO(srcversion, "A8AAC47CCE032F37A313EB2");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
