#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(mt76x02_rates, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_device, "_gpl", "");
KSYMTAB_FUNC(mt76x02_configure_filter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_interface, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_key, "_gpl", "");
KSYMTAB_FUNC(mt76x02_conf_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_tx_ackto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_coverage_class, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_rate_tbl_update, "_gpl", "");
KSYMTAB_FUNC(mt76x02_remove_hdr_pad, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_sta_ps, "_gpl", "");
KSYMTAB_FUNC(mt76x02_bss_info_changed, "_gpl", "");
KSYMTAB_FUNC(mt76x02_config_mac_addr_list, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_reset_counters, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_shared_key_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_wcid_setup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_setaddr, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x02_edcca_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_cc_reset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_msg_send, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_function_select, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_set_radio_state, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_calibrate, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mcu_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76x02_set_ethtool_fwver, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_copy, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_efuse_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_eeprom_parse_hw_cap, "_gpl", "");
KSYMTAB_FUNC(mt76x02_ext_pa_enabled, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_lna_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_rxpath, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txdac, "_gpl", "");
KSYMTAB_FUNC(mt76x02_get_max_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_limit_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x02_add_rate_power_offset, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_bw, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_set_band, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_adjust_vga_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_agc_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x02e_init_beacon_config, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_init, "_gpl", "");
KSYMTAB_FUNC(mt76x02_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_irq_handler, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dma_disable, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_start, "_gpl", "");
KSYMTAB_FUNC(mt76x02_reconfig_complete, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx, "_gpl", "");
KSYMTAB_FUNC(mt76x02_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_set_txpwr_auto, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt76x02_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_debugfs, "_gpl", "");
KSYMTAB_FUNC(mt76x02_phy_dfs_adjust_agc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_dfs_init_params, "_gpl", "");
KSYMTAB_FUNC(mt76x02_mac_set_beacon, "_gpl", "");
KSYMTAB_FUNC(mt76x02_resync_beacon_timer, "_gpl", "");
KSYMTAB_FUNC(mt76x02_update_beacon_iter, "_gpl", "");
KSYMTAB_FUNC(mt76x02_enqueue_buffered_bc, "_gpl", "");
KSYMTAB_FUNC(mt76x02_init_beacon_config, "_gpl", "");

SYMBOL_CRC(mt76x02_rates, 0x5bd84fd5, "_gpl");
SYMBOL_CRC(mt76x02_init_device, 0x785d5365, "_gpl");
SYMBOL_CRC(mt76x02_configure_filter, 0xffa7c9ce, "_gpl");
SYMBOL_CRC(mt76x02_sta_add, 0xacb0296e, "_gpl");
SYMBOL_CRC(mt76x02_sta_remove, 0x89d08c7d, "_gpl");
SYMBOL_CRC(mt76x02_add_interface, 0xf43378fe, "_gpl");
SYMBOL_CRC(mt76x02_remove_interface, 0x3224f862, "_gpl");
SYMBOL_CRC(mt76x02_ampdu_action, 0x1a02379d, "_gpl");
SYMBOL_CRC(mt76x02_set_key, 0xe1e275f4, "_gpl");
SYMBOL_CRC(mt76x02_conf_tx, 0x90cab474, "_gpl");
SYMBOL_CRC(mt76x02_set_tx_ackto, 0x4b655f1d, "_gpl");
SYMBOL_CRC(mt76x02_set_coverage_class, 0xb96cd24d, "_gpl");
SYMBOL_CRC(mt76x02_set_rts_threshold, 0xafff86c6, "_gpl");
SYMBOL_CRC(mt76x02_sta_rate_tbl_update, 0x84a63f1d, "_gpl");
SYMBOL_CRC(mt76x02_remove_hdr_pad, 0x990e4bd8, "_gpl");
SYMBOL_CRC(mt76x02_sw_scan_complete, 0xd25fa0a5, "_gpl");
SYMBOL_CRC(mt76x02_sta_ps, 0x59fee74e, "_gpl");
SYMBOL_CRC(mt76x02_bss_info_changed, 0x55fe94a2, "_gpl");
SYMBOL_CRC(mt76x02_config_mac_addr_list, 0x6a81e5c6, "_gpl");
SYMBOL_CRC(mt76x02_mac_reset_counters, 0xb9a976c1, "_gpl");
SYMBOL_CRC(mt76x02_mac_shared_key_setup, 0xa24d77ab, "_gpl");
SYMBOL_CRC(mt76x02_mac_wcid_setup, 0x5b1c30b2, "_gpl");
SYMBOL_CRC(mt76x02_mac_write_txwi, 0x52fdc0b1, "_gpl");
SYMBOL_CRC(mt76x02_mac_setaddr, 0xfb8b2054, "_gpl");
SYMBOL_CRC(mt76x02_tx_complete_skb, 0x380be5d9, "_gpl");
SYMBOL_CRC(mt76x02_update_channel, 0xfa489be8, "_gpl");
SYMBOL_CRC(mt76x02_edcca_init, 0xce4cc782, "_gpl");
SYMBOL_CRC(mt76x02_mac_cc_reset, 0x854eefd0, "_gpl");
SYMBOL_CRC(mt76x02_mcu_parse_response, 0xb834ba1f, "_gpl");
SYMBOL_CRC(mt76x02_mcu_msg_send, 0x06941762, "_gpl");
SYMBOL_CRC(mt76x02_mcu_function_select, 0xf7be8668, "_gpl");
SYMBOL_CRC(mt76x02_mcu_set_radio_state, 0x003a8d78, "_gpl");
SYMBOL_CRC(mt76x02_mcu_calibrate, 0x7a9c3f59, "_gpl");
SYMBOL_CRC(mt76x02_mcu_cleanup, 0xab6ce9d2, "_gpl");
SYMBOL_CRC(mt76x02_set_ethtool_fwver, 0xd51f316b, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_copy, 0x5e2f17dd, "_gpl");
SYMBOL_CRC(mt76x02_get_efuse_data, 0xbe554aa8, "_gpl");
SYMBOL_CRC(mt76x02_eeprom_parse_hw_cap, 0x1edff1f0, "_gpl");
SYMBOL_CRC(mt76x02_ext_pa_enabled, 0xcac3f65a, "_gpl");
SYMBOL_CRC(mt76x02_get_rx_gain, 0x584af91f, "_gpl");
SYMBOL_CRC(mt76x02_get_lna_gain, 0xfa3518a6, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_rxpath, 0x634c4a68, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txdac, 0x10cf4a53, "_gpl");
SYMBOL_CRC(mt76x02_get_max_rate_power, 0xad5d3ba8, "_gpl");
SYMBOL_CRC(mt76x02_limit_rate_power, 0x93c479bc, "_gpl");
SYMBOL_CRC(mt76x02_add_rate_power_offset, 0x75fef85d, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_txpower, 0x9d8c3c00, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_bw, 0x53336b0c, "_gpl");
SYMBOL_CRC(mt76x02_phy_set_band, 0x2021e15c, "_gpl");
SYMBOL_CRC(mt76x02_phy_adjust_vga_gain, 0x23687532, "_gpl");
SYMBOL_CRC(mt76x02_init_agc_gain, 0x6cd7fca7, "_gpl");
SYMBOL_CRC(mt76x02e_init_beacon_config, 0xc031470f, "_gpl");
SYMBOL_CRC(mt76x02_dma_init, 0x8a31f056, "_gpl");
SYMBOL_CRC(mt76x02_rx_poll_complete, 0xfb7f8405, "_gpl");
SYMBOL_CRC(mt76x02_irq_handler, 0x91d5b9ee, "_gpl");
SYMBOL_CRC(mt76x02_dma_disable, 0x8f4fcf2c, "_gpl");
SYMBOL_CRC(mt76x02_mac_start, 0xbbc24770, "_gpl");
SYMBOL_CRC(mt76x02_reconfig_complete, 0x3cf24613, "_gpl");
SYMBOL_CRC(mt76x02_tx, 0x3853ac79, "_gpl");
SYMBOL_CRC(mt76x02_queue_rx_skb, 0x337eef53, "_gpl");
SYMBOL_CRC(mt76x02_tx_set_txpwr_auto, 0x69651a63, "_gpl");
SYMBOL_CRC(mt76x02_tx_status_data, 0x7796a44c, "_gpl");
SYMBOL_CRC(mt76x02_tx_prepare_skb, 0x1fd1a15c, "_gpl");
SYMBOL_CRC(mt76x02_init_debugfs, 0xcfddf2de, "_gpl");
SYMBOL_CRC(mt76x02_phy_dfs_adjust_agc, 0xd3f61288, "_gpl");
SYMBOL_CRC(mt76x02_dfs_init_params, 0xbae32a05, "_gpl");
SYMBOL_CRC(mt76x02_mac_set_beacon, 0x5224943a, "_gpl");
SYMBOL_CRC(mt76x02_resync_beacon_timer, 0xe9a8ec99, "_gpl");
SYMBOL_CRC(mt76x02_update_beacon_iter, 0xd885cac3, "_gpl");
SYMBOL_CRC(mt76x02_enqueue_buffered_bc, 0x3e75b1a4, "_gpl");
SYMBOL_CRC(mt76x02_init_beacon_config, 0xf92997c5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbef1e1cf, "mt76_csa_check" },
	{ 0x50e2de58, "mt76_tx_status_skb_add" },
	{ 0xeba9bc23, "__tracepoint_mac_txdone" },
	{ 0x37def0ee, "mt76_tx_check_agg_ssn" },
	{ 0x790246a1, "ieee80211_tx_status_ext" },
	{ 0x5ae13e24, "mt76_stop_tx_queues" },
	{ 0x3d20ab3d, "___pskb_trim" },
	{ 0xbc9bbba3, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x5ffd197d, "__mt76_tx_complete_skb" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x514c667c, "seq_lseek" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x82c22f44, "ieee80211_restart_hw" },
	{ 0xcbca16bd, "bpf_trace_run2" },
	{ 0xbefa977a, "ieee80211_get_hdrlen_from_skb" },
	{ 0x2236c6c, "kthread_park" },
	{ 0x4ee8be8, "mt76_mcu_rx_event" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x58cc39fc, "mt76_tx_status_check" },
	{ 0x57aa93a9, "wake_up_process" },
	{ 0x869fa85a, "trace_event_buffer_commit" },
	{ 0xc6596246, "ieee80211_get_buffered_bc" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xeaf0c78e, "napi_complete_done" },
	{ 0x2708cb80, "ieee80211_get_tx_rates" },
	{ 0x396824f6, "ieee80211_send_bar" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4fab69ba, "debugfs_create_devm_seqfile" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x5f7e5249, "mt76_tx" },
	{ 0xb1ae3869, "__napi_schedule" },
	{ 0x4cb86314, "mt76_csa_finish" },
	{ 0xa916b694, "strnlen" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1a6bf549, "mt76_wcid_key_setup" },
	{ 0xa4bfb04f, "_dev_info" },
	{ 0x7a0fb6b8, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xab9e1be3, "mt76_rx" },
	{ 0x50504c09, "kthread_unpark" },
	{ 0xee56a723, "mt76_phy_dfs_state" },
	{ 0x6d47085b, "wiphy_to_ieee80211_hw" },
	{ 0xfb1ab3ae, "mt76_init_queue" },
	{ 0x9802542c, "debugfs_attr_read" },
	{ 0xaca6db15, "__mt76_sta_remove" },
	{ 0x2df1302e, "mt76_tx_status_skb_done" },
	{ 0xfaab29ab, "ieee80211_queue_delayed_work" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8cf33c74, "perf_trace_run_bpf_submit" },
	{ 0xa184bb7, "_dev_err" },
	{ 0xfc140a6b, "debugfs_create_bool" },
	{ 0xba34da31, "skb_pull" },
	{ 0x1b5b1289, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc5d27176, "__SCK__tp_func_dev_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdc2437f1, "skb_push" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x79555940, "napi_enable" },
	{ 0xb72593bf, "trace_event_reg" },
	{ 0x20cf2ca6, "mt76_update_survey" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xc6634315, "mt76_ac_to_hwq" },
	{ 0x6b8bfdef, "ieee80211_wake_queues" },
	{ 0xce289690, "mt76_mcu_send_and_get_msg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf97fbd4a, "ieee80211_iter_keys_rcu" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xde699db7, "__mt76_mcu_msg_alloc" },
	{ 0xb4cd2f00, "mt76_set_irq_mask" },
	{ 0xc2d6e649, "bpf_trace_run1" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x624b1ff7, "ieee80211_calc_tx_airtime" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x807ecc9e, "debugfs_create_u32" },
	{ 0xc87d784a, "__SCK__tp_func_mac_txdone" },
	{ 0x58612436, "mt76_seq_puts_array" },
	{ 0x61fddde1, "ieee80211_stop_queues" },
	{ 0xbd462b55, "__kfifo_init" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x18ff6401, "__tracepoint_dev_irq" },
	{ 0x3b38613f, "seq_read" },
	{ 0xdd64e639, "strscpy" },
	{ 0x9e386f0c, "mt76_mcu_get_response" },
	{ 0x75cc38af, "debugfs_create_file" },
	{ 0xe45628cb, "__SCT__tp_func_dev_irq" },
	{ 0xae7f1a5f, "trace_event_buffer_reserve" },
	{ 0x2abc19d1, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb68f8fbe, "mt76_txq_schedule_all" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x12689804, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xb0327e48, "____mt76_poll_msec" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0x311eec5e, "ieee80211_beacon_get_tim" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0xf8a63835, "ieee80211_radar_detected" },
	{ 0xda588655, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa3d03365, "mt76_queues_read" },
	{ 0xf6cdf378, "mt76_register_debugfs_fops" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xbe0c4ffe, "napi_schedule_prep" },
	{ 0xa2f94fac, "napi_disable" },
	{ 0x23ae5793, "dev_kfree_skb_any_reason" },
	{ 0x3ef70cfd, "__mt76_poll" },
	{ 0xc2d5d6ef, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x3cdfba3b, "debugfs_create_u8" },
	{ 0xb4836347, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xec69fb1b, "mt76_dma_attach" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xbb31a266, "__SCT__tp_func_mac_txdone" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x9cb858ce, "ieee80211_sta_register_airtime" },
	{ 0x88234e1f, "mt76_dma_rx_poll" },
	{ 0xac4ce5f4, "mt76_tx_status_unlock" },
	{ 0x28db1923, "simple_attr_open" },
	{ 0x9087d1f7, "debugfs_attr_write" },
	{ 0x7653fa83, "devm_kmalloc" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf7e86961, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x17718aa2, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7305ca35, "mt76_tx_status_skb_get" },
	{ 0xb09116ad, "trace_raw_output_prep" },
	{ 0x5365281c, "mt76_tx_status_lock" },
	{ 0xe2b4e0f4, "skb_dequeue" },
	{ 0x976272f9, "__trace_trigger_soft_disabled" },
	{ 0xb6a632e1, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "mt76,mac80211,cfg80211");


MODULE_INFO(srcversion, "FD229E656F7B0E92162B15B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
