#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_stop, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0x077de161, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0xa65eb436, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x6bcbf0ab, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0xee8ec539, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0x89bee733, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x39edd38e, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0x5f1d40ee, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x7fb09d19, "_gpl");
SYMBOL_CRC(__mt7921_start, 0x09cc8799, "_gpl");
SYMBOL_CRC(mt7921_stop, 0x00e77c1d, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0xed753e3a, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_assoc, 0x278a0386, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0xafb955ae, "_gpl");
SYMBOL_CRC(mt7921_ops, 0x594c09f3, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0xe49c2d1b, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0xd032a0d8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6b4eacd9, "mt76_connac2_tx_check_aggr" },
	{ 0x464b6e4c, "__dynamic_dev_dbg" },
	{ 0x4ee8be8, "mt76_mcu_rx_event" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f72678, "pskb_expand_head" },
	{ 0x57aa93a9, "wake_up_process" },
	{ 0x6816b01d, "mt76_connac_free_pending_tx_skbs" },
	{ 0xca75b8dd, "mt792x_sta_statistics" },
	{ 0x29670f0c, "skb_queue_purge_reason" },
	{ 0x56650a02, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4bd80565, "mt792x_conf_tx" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4fab69ba, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x2e9b293c, "mt792x_get_et_sset_count" },
	{ 0xd351e1b0, "mt76_connac_mcu_set_mac_enable" },
	{ 0x2edfa680, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x385e0339, "mt792x_init_acpi_sar_power" },
	{ 0x7c739376, "mt792x_set_wakeup" },
	{ 0x1a6bf549, "mt76_wcid_key_setup" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa4bfb04f, "_dev_info" },
	{ 0xff1206d3, "skb_queue_tail" },
	{ 0x7a0fb6b8, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xab9e1be3, "mt76_rx" },
	{ 0xbc8dc201, "mt792x_load_firmware" },
	{ 0xd5a58b20, "mt76_connac_mcu_sched_scan_req" },
	{ 0x48de3156, "mt792x_get_et_stats" },
	{ 0xc61651d5, "mt76_connac2_txwi_free" },
	{ 0x8e7d60c, "__tracepoint_lp_event" },
	{ 0x1302f75d, "mt76_connac_mcu_uni_add_bss" },
	{ 0xd518eb4a, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x6d47085b, "wiphy_to_ieee80211_hw" },
	{ 0x9802542c, "debugfs_attr_read" },
	{ 0xac2c75f6, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xfaab29ab, "ieee80211_queue_delayed_work" },
	{ 0x46b01c67, "devm_kmemdup" },
	{ 0xa184bb7, "_dev_err" },
	{ 0xba34da31, "skb_pull" },
	{ 0xbc87cdf3, "mt76_register_device" },
	{ 0xb1e14134, "mt792x_get_stats" },
	{ 0xb25b3318, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x1b5b1289, "simple_attr_release" },
	{ 0x9cff1ac2, "mt792x_mac_set_timeing" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7d5804f1, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdc2437f1, "skb_push" },
	{ 0x538eaa75, "mt76_set_channel" },
	{ 0x6b8bfdef, "ieee80211_wake_queues" },
	{ 0xce289690, "mt76_mcu_send_and_get_msg" },
	{ 0x108d0782, "ieee80211_beacon_get_template" },
	{ 0xfe3adf1a, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x6945018d, "mt76_eeprom_override" },
	{ 0xabdcf39c, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xde699db7, "__mt76_mcu_msg_alloc" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xaaf6925d, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x45049798, "devm_hwmon_device_register_with_groups" },
	{ 0xd185979d, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb31469c7, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd91155db, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x6b7a0bae, "mt792x_tx" },
	{ 0xbf953ac9, "mt792x_get_et_strings" },
	{ 0x5c942b03, "mt76_sta_state" },
	{ 0x3e263f37, "ieee80211_ready_on_channel" },
	{ 0x61fddde1, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4e44eaf8, "devm_kasprintf" },
	{ 0x48d6ae60, "cfg80211_reg_can_beacon" },
	{ 0x7c8c5e99, "mt792x_remove_interface" },
	{ 0x3b38613f, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xbbb5d2ef, "mt76_connac_mcu_get_nic_capability" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0xfe86aeca, "mt792x_queues_read" },
	{ 0x67981030, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x75cc38af, "debugfs_create_file" },
	{ 0x48a96d33, "mt792x_queues_acq" },
	{ 0x71f2c382, "ieee80211_sched_scan_results" },
	{ 0x3c07573c, "ieee80211_scan_completed" },
	{ 0x2abc19d1, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x67ccf370, "mt76_insert_ccmp_hdr" },
	{ 0x9536ee82, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa5d6e4b5, "param_ops_bool" },
	{ 0xef237d29, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0xb3820980, "mt792x_tx_stats_show" },
	{ 0x12689804, "mt76_rx_aggr_start" },
	{ 0xc65b1f86, "__SCK__tp_func_lp_event" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x17e43caf, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x15ccf16f, "mt792x_mac_init_band" },
	{ 0x716a03d9, "mt76_skb_adjust_pad" },
	{ 0x2a8ea548, "mt792x_init_wiphy" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0xc7b5570b, "mt76_connac_sta_state_dp" },
	{ 0x65c2e89c, "mt76_connac_mcu_set_suspend_iter" },
	{ 0xda588655, "single_release" },
	{ 0xa3d03365, "mt76_queues_read" },
	{ 0x66da943, "mt76_sta_pre_rcu_remove" },
	{ 0xf6cdf378, "mt76_register_debugfs_fops" },
	{ 0x8814e7d3, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xeebe9c4b, "mt76_connac2_mac_write_txwi" },
	{ 0xf5ab474c, "__mt76_set_tx_blocked" },
	{ 0x638ea2e9, "mt76_connac_mcu_sta_ba" },
	{ 0x4bfd1543, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0x7004892f, "ieee80211_queue_work" },
	{ 0xb584d34e, "mt792x_mac_reset_counters" },
	{ 0x84921d71, "napi_consume_skb" },
	{ 0x3ef70cfd, "__mt76_poll" },
	{ 0xc2d5d6ef, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb4836347, "single_open" },
	{ 0x27a59fd7, "mt76_connac_mcu_add_key" },
	{ 0xdedf960d, "mt792x_unassign_vif_chanctx" },
	{ 0xceee2cf3, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0xc294324a, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xab68e02d, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0xdb385d8b, "mt76_connac_mcu_set_rate_txpower" },
	{ 0x9cb858ce, "ieee80211_sta_register_airtime" },
	{ 0x81069846, "mt792x_init_wcid" },
	{ 0x662922ee, "mt792x_init_acpi_sar" },
	{ 0x2a455c14, "mt76_init_sar_power" },
	{ 0x3bae0b44, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x28db1923, "simple_attr_open" },
	{ 0x9bd6afdb, "ieee80211_iterate_interfaces" },
	{ 0x9087d1f7, "debugfs_attr_write" },
	{ 0x61f7ad72, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0x494c67e9, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x760e8d05, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf7e86961, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x736f9d94, "mt76_connac_mcu_uni_set_chctx" },
	{ 0x47412cde, "mt792x_tx_worker" },
	{ 0x266487bd, "mt792x_flush" },
	{ 0x3af71fe8, "mt792x_rx_get_wcid" },
	{ 0xe2b4e0f4, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x7e1e645b, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe431b961, "mt76_connac_mcu_set_channel_domain" },
	{ 0x9b56809c, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x62165e2c, "mt76_release_buffered_frames" },
	{ 0xf94bd851, "request_firmware" },
	{ 0x40160e58, "mt76_get_txpower" },
	{ 0x50e2de58, "mt76_tx_status_skb_add" },
	{ 0x226607a5, "mt76_connac_pm_wake" },
	{ 0x92a37f2f, "mt76_connac2_mac_fill_rx_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0xb3211105, "mt76_connac_mcu_set_deep_sleep" },
	{ 0xd84a342f, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x2352a8be, "mt76_connac_mcu_chip_config" },
	{ 0x67f9f2b3, "mt76_get_antenna" },
	{ 0xb29e3b79, "mt792x_set_coverage_class" },
	{ 0x9ca3125, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x5ffd197d, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x514c667c, "seq_lseek" },
	{ 0xe7150ca9, "mt76_set_stream_caps" },
	{ 0xab1f413e, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xbefa977a, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0xa51f9757, "mt76_connac_mcu_update_arp_filter" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "mt76-connac-lib,mt76,mt792x-lib,mac80211,cfg80211");


MODULE_INFO(srcversion, "030E6E8158A4770DB87CDF8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
