#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(rtl8723_dm_init_dynamic_txpower, "_gpl", "");
KSYMTAB_FUNC(rtl8723_dm_init_edca_turbo, "_gpl", "");
KSYMTAB_FUNC(rtl8723_dm_init_dynamic_bb_powersaving, "_gpl", "");
KSYMTAB_FUNC(rtl8723_enable_fw_download, "_gpl", "");
KSYMTAB_FUNC(rtl8723_write_fw, "_gpl", "");
KSYMTAB_FUNC(rtl8723ae_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl8723be_firmware_selfreset, "_gpl", "");
KSYMTAB_FUNC(rtl8723_fw_free_to_go, "_gpl", "");
KSYMTAB_FUNC(rtl8723_download_fw, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_query_bb_reg, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_set_bb_reg, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_calculate_bit_shift, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_rf_serial_read, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_rf_serial_write, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_txpwr_idx_to_dbm, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_init_bb_rf_reg_def, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_set_sw_chnl_cmdarray, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_a_fill_iqk_matrix, "_gpl", "");
KSYMTAB_FUNC(rtl8723_save_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_save_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_reload_adda_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_reload_mac_registers, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_adda_on, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_mac_setting_calibration, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_path_a_standby, "_gpl", "");
KSYMTAB_FUNC(rtl8723_phy_pi_mode_switch, "_gpl", "");

SYMBOL_CRC(rtl8723_dm_init_dynamic_txpower, 0x588608c0, "_gpl");
SYMBOL_CRC(rtl8723_dm_init_edca_turbo, 0x0d753b80, "_gpl");
SYMBOL_CRC(rtl8723_dm_init_dynamic_bb_powersaving, 0x3fcdb54c, "_gpl");
SYMBOL_CRC(rtl8723_enable_fw_download, 0x25168d25, "_gpl");
SYMBOL_CRC(rtl8723_write_fw, 0x7d9e2675, "_gpl");
SYMBOL_CRC(rtl8723ae_firmware_selfreset, 0xb156b4a4, "_gpl");
SYMBOL_CRC(rtl8723be_firmware_selfreset, 0x81e17a6b, "_gpl");
SYMBOL_CRC(rtl8723_fw_free_to_go, 0xf4683c28, "_gpl");
SYMBOL_CRC(rtl8723_download_fw, 0x1dc922a7, "_gpl");
SYMBOL_CRC(rtl8723_phy_query_bb_reg, 0x31f322ce, "_gpl");
SYMBOL_CRC(rtl8723_phy_set_bb_reg, 0xae42a6ae, "_gpl");
SYMBOL_CRC(rtl8723_phy_calculate_bit_shift, 0x3f5bf9c0, "_gpl");
SYMBOL_CRC(rtl8723_phy_rf_serial_read, 0xb9e5a7fd, "_gpl");
SYMBOL_CRC(rtl8723_phy_rf_serial_write, 0xfb8c8c4c, "_gpl");
SYMBOL_CRC(rtl8723_phy_txpwr_idx_to_dbm, 0x0cea1eaf, "_gpl");
SYMBOL_CRC(rtl8723_phy_init_bb_rf_reg_def, 0x875cb774, "_gpl");
SYMBOL_CRC(rtl8723_phy_set_sw_chnl_cmdarray, 0x8baf8913, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_a_fill_iqk_matrix, 0x2132826c, "_gpl");
SYMBOL_CRC(rtl8723_save_adda_registers, 0xe11bb496, "_gpl");
SYMBOL_CRC(rtl8723_phy_save_mac_registers, 0xf2b8212e, "_gpl");
SYMBOL_CRC(rtl8723_phy_reload_adda_registers, 0xcd71aa6b, "_gpl");
SYMBOL_CRC(rtl8723_phy_reload_mac_registers, 0x6c0743e6, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_adda_on, 0xa467964a, "_gpl");
SYMBOL_CRC(rtl8723_phy_mac_setting_calibration, 0x02dfb0bf, "_gpl");
SYMBOL_CRC(rtl8723_phy_path_a_standby, 0x45a1f22d, "_gpl");
SYMBOL_CRC(rtl8723_phy_pi_mode_switch, 0x64fddcb5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x29ee039, "_rtl_dbg_print" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0x1f1c6b47, "rtl_fw_page_write" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x2e5382f9, "rtl_fill_dummy" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "rtlwifi");


MODULE_INFO(srcversion, "2B147AA9C6738FD9FE5920A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
