#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0xc2804e0e, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0xcb45ed34, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0x0077e34e, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0x15bd86e1, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0x2ace6892, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0x22c01730, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0x9743aa1f, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0xadc72f6f, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0x157b76dc, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0x2806d5c2, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0xe6fe72a4, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0x020d88f8, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0x08514e60, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0x26657184, "_gpl");
SYMBOL_CRC(gether_suspend, 0xd3cf16a2, "_gpl");
SYMBOL_CRC(gether_resume, 0x2c5b6af9, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0xd2a3b064, "_gpl");
SYMBOL_CRC(gether_disconnect, 0x49527c55, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0xdd64e639, "strscpy" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x754d539c, "strlen" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2c53cadb, "usb_ep_disable" },
	{ 0x784d9a58, "usb_ep_enable" },
	{ 0x464b6e4c, "__dynamic_dev_dbg" },
	{ 0x9611f7e3, "dev_addr_mod" },
	{ 0xbb55ed92, "register_netdev" },
	{ 0xa4bfb04f, "_dev_info" },
	{ 0x4780110b, "netif_carrier_off" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x349cba85, "strchr" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x9166fada, "strncpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ea59b5d, "usb_ep_alloc_request" },
	{ 0x2af38e5f, "usb_ep_free_request" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x5a366640, "unregister_netdev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x67823039, "free_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa184bb7, "_dev_err" },
	{ 0x6a65038b, "__netdev_alloc_skb" },
	{ 0xac5667d9, "usb_ep_queue" },
	{ 0x23ae5793, "dev_kfree_skb_any_reason" },
	{ 0x46ff1f4, "netif_tx_wake_queue" },
	{ 0x69a16d8, "netif_carrier_on" },
	{ 0x760e8d05, "skb_put" },
	{ 0xe2b4e0f4, "skb_dequeue" },
	{ 0xff1206d3, "skb_queue_tail" },
	{ 0x52e23ba3, "eth_type_trans" },
	{ 0x49a4b72f, "netif_rx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3fa7fe2d, "usb_func_wakeup" },
	{ 0x1b9a20a7, "usb_gadget_wakeup" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x94de7dfb, "alloc_etherdev_mqs" },
	{ 0x450a17c2, "_dev_warn" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x40d3375c, "eth_mac_addr" },
	{ 0x2b4db125, "eth_validate_addr" },
	{ 0x33472c69, "ethtool_op_get_link" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "libcomposite");


MODULE_INFO(srcversion, "4EA8C2D081ACC09E25E43E8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
