#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs41_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_sequence_done, "_gpl", "");
KSYMTAB_FUNC(nfs4_setup_sequence, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_rw_stateid, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_session_trunk, "_gpl", "");
KSYMTAB_FUNC(nfs4_proc_getdeviceinfo, "_gpl", "");
KSYMTAB_DATA(nfs41_maxgetdevinfo_overhead, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_migration_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_lease_moved_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_stateid_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs4_schedule_session_recovery, "_gpl", "");
KSYMTAB_FUNC(nfs_remove_bad_delegation, "_gpl", "");
KSYMTAB_FUNC(nfs_map_string_to_numeric, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_or_create_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_set_ds_client, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_ds_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__traceiter_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_nfs4_pnfs_commit_ds, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__traceiter_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_read_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_write_error, "_gpl", "");
KSYMTAB_DATA(__tracepoint_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__traceiter_ff_layout_commit_error, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_ff_layout_commit_error, "_gpl", "");
KSYMTAB_FUNC(pnfs_register_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_unregister_layoutdriver, "_gpl", "");
KSYMTAB_FUNC(pnfs_put_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_destroy_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_layout_insert_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_update_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_error_mark_layout_for_return, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_layout, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_check_range, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_read, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_init_write, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_cleanup, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_test, "_gpl", "");
KSYMTAB_FUNC(pnfs_write_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_write_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_writepages, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_done_resend_to_mds, "_gpl", "");
KSYMTAB_FUNC(pnfs_ld_read_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_read_resend_pnfs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_pg_readpages, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_lo_fail, "_gpl", "");
KSYMTAB_FUNC(pnfs_set_layoutcommit, "_gpl", "");
KSYMTAB_FUNC(pnfs_layoutcommit_inode, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(pnfs_report_layoutstat, "_gpl", "");
KSYMTAB_DATA(layoutstats_timer, "_gpl", "");
KSYMTAB_FUNC(nfs4_print_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_find_get_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_delete_deviceid, "_gpl", "");
KSYMTAB_FUNC(nfs4_init_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_put_deviceid_node, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_available, "_gpl", "");
KSYMTAB_FUNC(nfs4_mark_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(nfs4_test_deviceid_unavailable, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_rw_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_prepare_to_resend_writes, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_write_commit_done, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_release, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_clear_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_alloc_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_free_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_add_commit_array, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_release_lseg, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_ds_cinfo_destroy, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_scan_commit_lists, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_recover_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_search_commit_reqs, "_gpl", "");
KSYMTAB_FUNC(pnfs_generic_commit_pagelist, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_put, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_add, "_gpl", "");
KSYMTAB_FUNC(nfs4_pnfs_ds_connect, "_gpl", "");
KSYMTAB_FUNC(nfs4_decode_mp_ds_addr, "_gpl", "");
KSYMTAB_FUNC(pnfs_layout_mark_request_commit, "_gpl", "");
KSYMTAB_FUNC(pnfs_nfs_generic_sync, "_gpl", "");
KSYMTAB_FUNC(nfs42_proc_layouterror, "_gpl", "");

SYMBOL_CRC(nfs41_sequence_done, 0xc1f13298, "_gpl");
SYMBOL_CRC(nfs4_sequence_done, 0x477b5e12, "_gpl");
SYMBOL_CRC(nfs4_setup_sequence, 0xb66f1586, "_gpl");
SYMBOL_CRC(nfs4_set_rw_stateid, 0xcf83e4d6, "_gpl");
SYMBOL_CRC(nfs4_test_session_trunk, 0x434a236e, "_gpl");
SYMBOL_CRC(nfs4_proc_getdeviceinfo, 0x8ddbe82d, "_gpl");
SYMBOL_CRC(nfs41_maxgetdevinfo_overhead, 0xf7801360, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_recovery, 0x5d2553df, "_gpl");
SYMBOL_CRC(nfs4_schedule_migration_recovery, 0x9f88ae60, "_gpl");
SYMBOL_CRC(nfs4_schedule_lease_moved_recovery, 0x52359f13, "_gpl");
SYMBOL_CRC(nfs4_schedule_stateid_recovery, 0x352b9ef6, "_gpl");
SYMBOL_CRC(nfs4_schedule_session_recovery, 0x80b41d1c, "_gpl");
SYMBOL_CRC(nfs_remove_bad_delegation, 0x5a9991c1, "_gpl");
SYMBOL_CRC(nfs_map_string_to_numeric, 0x6085edbd, "_gpl");
SYMBOL_CRC(nfs4_find_or_create_ds_client, 0x44b98e0d, "_gpl");
SYMBOL_CRC(nfs4_set_ds_client, 0xf8756621, "_gpl");
SYMBOL_CRC(nfs4_init_ds_session, 0x7ea7840b, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_read, 0x251f2c05, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_read, 0xbedb5b9d, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_read, 0x1c6acfa3, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_read, 0x63826d35, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_write, 0x4fb2ce18, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_write, 0x568f8a82, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_write, 0x703ebd26, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_write, 0xadeca730, "_gpl");
SYMBOL_CRC(__tracepoint_nfs4_pnfs_commit_ds, 0x431307cb, "_gpl");
SYMBOL_CRC(__traceiter_nfs4_pnfs_commit_ds, 0xcab3400e, "_gpl");
SYMBOL_CRC(__SCK__tp_func_nfs4_pnfs_commit_ds, 0x2400a42a, "_gpl");
SYMBOL_CRC(__SCT__tp_func_nfs4_pnfs_commit_ds, 0x2b16e909, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_read, 0xb99cc664, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_read, 0x4d4ddc6f, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_read, 0x522bdcc7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_read, 0x6a5eb444, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_init_write, 0x759b1c3c, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_init_write, 0x1b927589, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_init_write, 0x3aaf5974, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_init_write, 0xdeb5edce, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_pg_get_mirror_count, 0x9ac042a6, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_pg_get_mirror_count, 0x427d315b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0xed57b895, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_pg_get_mirror_count, 0x96c4643f, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_done, 0xf6556132, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_done, 0x39ec0821, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_done, 0x613c5656, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_done, 0xc361c3c5, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_done, 0x7e9261e3, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_done, 0xf2b9d635, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_done, 0x34daad95, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_done, 0x930a94fd, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_read_pagelist, 0x2df8b377, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_read_pagelist, 0xfcccc7dd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_read_pagelist, 0x62ccf63f, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_read_pagelist, 0x6a925097, "_gpl");
SYMBOL_CRC(__tracepoint_pnfs_mds_fallback_write_pagelist, 0xd4c82710, "_gpl");
SYMBOL_CRC(__traceiter_pnfs_mds_fallback_write_pagelist, 0x6fdaad06, "_gpl");
SYMBOL_CRC(__SCK__tp_func_pnfs_mds_fallback_write_pagelist, 0xac80daf7, "_gpl");
SYMBOL_CRC(__SCT__tp_func_pnfs_mds_fallback_write_pagelist, 0x18e75751, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_read_error, 0xad25175c, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_read_error, 0xa5306b80, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_read_error, 0x7a4fd611, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_read_error, 0x7e42bd3f, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_write_error, 0x13a8546d, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_write_error, 0xf0768151, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_write_error, 0x1b120381, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_write_error, 0xf32fa2b7, "_gpl");
SYMBOL_CRC(__tracepoint_ff_layout_commit_error, 0x39ff4696, "_gpl");
SYMBOL_CRC(__traceiter_ff_layout_commit_error, 0xb1b08435, "_gpl");
SYMBOL_CRC(__SCK__tp_func_ff_layout_commit_error, 0x904b5292, "_gpl");
SYMBOL_CRC(__SCT__tp_func_ff_layout_commit_error, 0xcc21ce5c, "_gpl");
SYMBOL_CRC(pnfs_register_layoutdriver, 0x09ff4050, "_gpl");
SYMBOL_CRC(pnfs_unregister_layoutdriver, 0x93f637f3, "_gpl");
SYMBOL_CRC(pnfs_put_lseg, 0xa48fe6e1, "_gpl");
SYMBOL_CRC(pnfs_destroy_layout, 0x79276291, "_gpl");
SYMBOL_CRC(pnfs_generic_layout_insert_lseg, 0x6c23d619, "_gpl");
SYMBOL_CRC(pnfs_update_layout, 0x3f02408d, "_gpl");
SYMBOL_CRC(pnfs_error_mark_layout_for_return, 0xc9b6570c, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_layout, 0x7b92e90e, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_check_range, 0xa8b69603, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_read, 0x24237c5d, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_init_write, 0x41489191, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_cleanup, 0x8035bb6a, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_test, 0xceff5ab5, "_gpl");
SYMBOL_CRC(pnfs_write_done_resend_to_mds, 0x24705420, "_gpl");
SYMBOL_CRC(pnfs_ld_write_done, 0xc6c2a3dc, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_writepages, 0x27b862f2, "_gpl");
SYMBOL_CRC(pnfs_read_done_resend_to_mds, 0xe95ad2fc, "_gpl");
SYMBOL_CRC(pnfs_ld_read_done, 0xade04182, "_gpl");
SYMBOL_CRC(pnfs_read_resend_pnfs, 0x6ab956c3, "_gpl");
SYMBOL_CRC(pnfs_generic_pg_readpages, 0xd4ba96a1, "_gpl");
SYMBOL_CRC(pnfs_set_lo_fail, 0x214d1fa0, "_gpl");
SYMBOL_CRC(pnfs_set_layoutcommit, 0x1dc60502, "_gpl");
SYMBOL_CRC(pnfs_layoutcommit_inode, 0x023f8a09, "_gpl");
SYMBOL_CRC(pnfs_generic_sync, 0xbfb0e314, "_gpl");
SYMBOL_CRC(pnfs_report_layoutstat, 0x3ed42d1c, "_gpl");
SYMBOL_CRC(layoutstats_timer, 0x054bef45, "_gpl");
SYMBOL_CRC(nfs4_print_deviceid, 0xed15fb41, "_gpl");
SYMBOL_CRC(nfs4_find_get_deviceid, 0x399dfaed, "_gpl");
SYMBOL_CRC(nfs4_delete_deviceid, 0x97f3b1e5, "_gpl");
SYMBOL_CRC(nfs4_init_deviceid_node, 0x87ee3f68, "_gpl");
SYMBOL_CRC(nfs4_put_deviceid_node, 0xd4cc3847, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_available, 0xe9219e22, "_gpl");
SYMBOL_CRC(nfs4_mark_deviceid_unavailable, 0xf7571274, "_gpl");
SYMBOL_CRC(nfs4_test_deviceid_unavailable, 0x8cfbe2cd, "_gpl");
SYMBOL_CRC(pnfs_generic_rw_release, 0x69d3558d, "_gpl");
SYMBOL_CRC(pnfs_generic_prepare_to_resend_writes, 0xacb88116, "_gpl");
SYMBOL_CRC(pnfs_generic_write_commit_done, 0x87bbe945, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_release, 0xf999267e, "_gpl");
SYMBOL_CRC(pnfs_generic_clear_request_commit, 0x7ded8761, "_gpl");
SYMBOL_CRC(pnfs_alloc_commit_array, 0x49baca77, "_gpl");
SYMBOL_CRC(pnfs_free_commit_array, 0x5af4c8fe, "_gpl");
SYMBOL_CRC(pnfs_add_commit_array, 0x56ca9bc8, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_release_lseg, 0xaa89164d, "_gpl");
SYMBOL_CRC(pnfs_generic_ds_cinfo_destroy, 0xf1d1635e, "_gpl");
SYMBOL_CRC(pnfs_generic_scan_commit_lists, 0x7bb3df30, "_gpl");
SYMBOL_CRC(pnfs_generic_recover_commit_reqs, 0x9fe095d3, "_gpl");
SYMBOL_CRC(pnfs_generic_search_commit_reqs, 0xfd8153c9, "_gpl");
SYMBOL_CRC(pnfs_generic_commit_pagelist, 0xd4d8df59, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_put, 0x63ba645d, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_add, 0x79a52a18, "_gpl");
SYMBOL_CRC(nfs4_pnfs_ds_connect, 0x57e4355d, "_gpl");
SYMBOL_CRC(nfs4_decode_mp_ds_addr, 0xe40cc8f7, "_gpl");
SYMBOL_CRC(pnfs_layout_mark_request_commit, 0xc92ca3bf, "_gpl");
SYMBOL_CRC(pnfs_nfs_generic_sync, 0x3ef60ea0, "_gpl");
SYMBOL_CRC(nfs42_proc_layouterror, 0x59488cd5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x63b65ee0, "nfs_generic_pg_test" },
	{ 0x5a921311, "strncmp" },
	{ 0x324f0658, "xdr_stream_subsegment" },
	{ 0x3cf1014c, "nfs_zap_acl_cache" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xad207a2b, "nfs_fscache_open_file" },
	{ 0xb8bcdc18, "from_kgid" },
	{ 0xb72593bf, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xeadee9de, "nfs_write_inode" },
	{ 0xb96eb572, "nfs_request_remove_commit_list" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0x7024005d, "rpc_wake_up_first" },
	{ 0x579f275, "alloc_nfs_open_context" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xbaa1c15c, "vfs_parse_fs_param" },
	{ 0xdcdc8f64, "nfs_path" },
	{ 0xbda2ccd1, "rpc_sleep_on_priority_timeout" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x4991f53a, "nfs_create_rpc_client" },
	{ 0xfef216eb, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xef4cb707, "register_nfs_version" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xeee481e7, "rpc_sleep_on_timeout" },
	{ 0x11a8868a, "list_lru_count_one" },
	{ 0xc0908dd0, "svc_destroy" },
	{ 0xf8f61ebc, "wake_up_var" },
	{ 0x9e38bb37, "rpc_call_start" },
	{ 0x72f13b83, "xprt_setup_backchannel" },
	{ 0xc2d6e649, "bpf_trace_run1" },
	{ 0xb52c0dc5, "svc_create" },
	{ 0x74f8f4bf, "rpc_clnt_iterate_for_each_xprt" },
	{ 0x4f391e2d, "nfs_file_set_open_context" },
	{ 0x99aee353, "rpc_init_priority_wait_queue" },
	{ 0x3f2690f2, "nfs_check_flags" },
	{ 0x69ef58ab, "rpc_call_sync" },
	{ 0xf1ec3b90, "from_kuid" },
	{ 0xa8d5bb5e, "rpc_put_task_async" },
	{ 0xcf6a0523, "rpc_prepare_reply_pages" },
	{ 0xdd69e616, "rpc_queue_upcall" },
	{ 0x40190932, "nfs_free_server" },
	{ 0xe960b95, "fc_mount" },
	{ 0x21f93669, "register_sysctl_sz" },
	{ 0xa5b47398, "nfs_setattr" },
	{ 0x25e305d1, "xdr_terminate_string" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xaaa396ee, "nfs4_fs_type" },
	{ 0x6a7bdd9f, "key_revoke" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x5b65af43, "rpc_delay" },
	{ 0x4d50a338, "nfs_flock" },
	{ 0x1f7c292a, "nfs_read_alloc_scratch" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8619c68, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x22237fc1, "svc_generic_init_request" },
	{ 0xcf4fdd4d, "_atomic_dec_and_lock" },
	{ 0xf0275865, "key_validate" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xf04536dc, "rpc_exit" },
	{ 0xafa01fc4, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xf4f277fd, "rpc_remove_pipe_dir_object" },
	{ 0x1ebfaa2e, "nfs_may_open" },
	{ 0xc1764b8c, "from_kgid_munged" },
	{ 0xfc619abd, "_nfs_display_fhandle" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x4d671681, "nfs_server_copy_userdata" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xb5b0ad12, "xdr_reserve_space" },
	{ 0x613b32d1, "rpcauth_lookupcred" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb83570e, "kthread_create_on_node" },
	{ 0xabc640f3, "list_lru_isolate" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x9de3a6f, "nfs_rmdir" },
	{ 0xbe8d6920, "bpf_trace_run3" },
	{ 0x169f0b8f, "override_creds" },
	{ 0x4cb9e001, "recover_lost_locks" },
	{ 0x99078b39, "trace_print_flags_seq" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xdb0b29f2, "nfs_filemap_write_and_wait_range" },
	{ 0x4218791e, "rpc_mkpipe_dentry" },
	{ 0x4f732911, "alloc_file_pseudo" },
	{ 0xdd64e639, "strscpy" },
	{ 0x920a430, "rpc_mkpipe_data" },
	{ 0xe9c4daca, "rpc_add_pipe_dir_object" },
	{ 0x24e658d3, "igrab" },
	{ 0xc8ce8ba8, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x8a87293c, "nfs_async_iocounter_wait" },
	{ 0x3e3834de, "nfs_file_read" },
	{ 0xae7f1a5f, "trace_event_buffer_reserve" },
	{ 0xa3a1805d, "nfs_alloc_fattr_with_label" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x88959a1d, "filemap_fdatawait_range" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x3702f560, "nfs_commitdata_alloc" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xb104022d, "nfs_setattr_update_inode" },
	{ 0xba27663d, "nfs_instantiate" },
	{ 0x87f1b7cc, "init_user_ns" },
	{ 0x4a4ed215, "rpc_uaddr2sockaddr" },
	{ 0x23ff4f3e, "user_read" },
	{ 0x6ccad5be, "rpc_restart_call" },
	{ 0x30120470, "request_key_tag" },
	{ 0xb173fef, "xprt_force_disconnect" },
	{ 0x8ead800c, "user_free_preparse" },
	{ 0x8facdad9, "alloc_pages" },
	{ 0x92ff0414, "rpc_clnt_xprt_switch_remove_xprt" },
	{ 0x410d4228, "svc_xprt_destroy_all" },
	{ 0xb06f9634, "generic_key_instantiate" },
	{ 0x26639318, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xdb08f47, "nfs_link" },
	{ 0x43e2fff1, "__folio_put" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xaa24131, "list_lru_walk_one" },
	{ 0xc3a2be67, "nfs_net_id" },
	{ 0x965444a7, "rpcauth_stringify_acceptor" },
	{ 0x56470118, "__warn_printk" },
	{ 0xc5d00aad, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xf0b7775d, "rpc_init_wait_queue" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x2aea5c0, "xdr_stream_move_subsegment" },
	{ 0xb74a3c84, "put_rpccred" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x294c6a2, "nfs_callback_nr_threads" },
	{ 0x508b487b, "nfs_post_op_update_inode_force_wcc" },
	{ 0x9a234a6c, "nfs_pgheader_init" },
	{ 0xf9615434, "put_nfs_open_context" },
	{ 0x588563fa, "nfs_show_path" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xfe5f08cf, "nfs_show_devname" },
	{ 0x77fb2608, "nfs_permission" },
	{ 0x1a067302, "nfs_initiate_commit" },
	{ 0xd59a8eaa, "truncate_inode_pages_range" },
	{ 0xa8de73b1, "__put_user_ns" },
	{ 0x6f2d6bab, "cred_fscmp" },
	{ 0xad2aebad, "rpc_unlink" },
	{ 0x3b3db49c, "nfs_sync_inode" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x275772d0, "nfs_file_write" },
	{ 0xaafd4acc, "max_session_cb_slots" },
	{ 0x11d00ab1, "node_data" },
	{ 0x1a957608, "nfs_probe_server" },
	{ 0xfcb0f7d2, "nfs_setsecurity" },
	{ 0xbc6c07c9, "rpc_clnt_xprt_switch_has_addr" },
	{ 0x24a47790, "rpc_clnt_test_and_add_xprt" },
	{ 0x21dbd3bb, "file_ra_state_init" },
	{ 0xa2b11b24, "nfs_force_lookup_revalidate" },
	{ 0x97ba4ee4, "nfs_file_llseek" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x292b3807, "rpc_clnt_add_xprt" },
	{ 0xf2951973, "dget_parent" },
	{ 0x87922a25, "from_kuid_munged" },
	{ 0xbc2e4718, "prepare_kernel_cred" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x5554645, "nfs_alloc_server" },
	{ 0x13258da5, "rpc_call_async" },
	{ 0x56ac6b34, "security_dentry_init_security" },
	{ 0x6eddd503, "filemap_write_and_wait_range" },
	{ 0xfaf45358, "nfs_server_insert_lists" },
	{ 0x4468ea12, "nfs_dreq_bytes_left" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x754d539c, "strlen" },
	{ 0x605adeb7, "nfs_free_client" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xfc8d52f5, "rpc_init_pipe_dir_object" },
	{ 0xc4bbc809, "bpf_trace_run7" },
	{ 0x9bb2ed25, "nfs_refresh_inode" },
	{ 0x5e06bc5c, "refcount_dec_and_lock" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x91d1fe52, "max_session_slots" },
	{ 0x349cba85, "strchr" },
	{ 0xc6c8b8f1, "nfs_access_set_mask" },
	{ 0xe7a5a881, "nfs_init_server_rpcclient" },
	{ 0xe9986a5f, "__mark_inode_dirty" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xc57e306d, "rpc_set_connect_timeout" },
	{ 0x10c16d02, "rpcauth_create" },
	{ 0x648dfc82, "list_lru_add" },
	{ 0x4e5587dc, "xdr_stream_pos" },
	{ 0xcbf5046d, "key_set_timeout" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0x10962bc2, "nfs_auth_info_match" },
	{ 0x53b954a2, "up_read" },
	{ 0x39e05ac3, "nfs_idmap_cache_timeout" },
	{ 0xd353ba0d, "svc_xprt_create" },
	{ 0x24d9b32e, "nfs42_ssc_register" },
	{ 0x97b92ded, "rpc_wait_for_completion_task" },
	{ 0x70e24110, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbf012a01, "rpc_num_bc_slots" },
	{ 0x47308a63, "nfs_alloc_inode" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x66ed2439, "rpc_destroy_wait_queue" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xba464c13, "security_inode_listsecurity" },
	{ 0xf6cd07ec, "nfs_fhget" },
	{ 0xadc48175, "nfs_symlink" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x68bc1c9c, "locks_copy_lock" },
	{ 0x94c08f29, "kmem_cache_destroy" },
	{ 0x51892d61, "nfs_callback_set_tcpport" },
	{ 0xc35984, "nfs_unlink" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x8ed1fa83, "nfs_set_verifier" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x26cad653, "rpc_put_task" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xfedaddb8, "generic_copy_file_range" },
	{ 0x7d587b19, "svc_generic_rpcbind_set" },
	{ 0x113055d4, "nfs_clone_server" },
	{ 0x287b6a1c, "nfs_access_add_cache" },
	{ 0xe914e41e, "strcpy" },
	{ 0xb0c7d8bc, "filemap_fdatawrite" },
	{ 0x5b947f09, "nfs_show_stats" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xb34c8b88, "nfs_server_remove_lists" },
	{ 0x5f653ad, "nfs42_ssc_unregister" },
	{ 0xc87a103d, "generic_listxattr" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0xef5acdbe, "revert_creds" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7c03f849, "nfs_writeback_update_inode" },
	{ 0xdc79e8be, "clear_inode" },
	{ 0xbb8ed8ef, "inode_to_bdi" },
	{ 0xe15072e8, "bpf_trace_run4" },
	{ 0x57026873, "user_destroy" },
	{ 0x20978fb9, "idr_find" },
	{ 0xd1a40295, "param_ops_uint" },
	{ 0x2e8c9769, "user_revoke" },
	{ 0xc2664d16, "d_exact_alias" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x5d423388, "nfs_alloc_client" },
	{ 0xdae9b5d7, "nfs4_disable_idmapping" },
	{ 0x42bf8fe1, "list_lru_del" },
	{ 0x15660dc8, "nfs_mark_client_ready" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x334a2028, "rpc_clnt_probe_trunked_xprts" },
	{ 0xe0aff987, "nfs_pageio_reset_read_mds" },
	{ 0xa56266a8, "xdr_write_pages" },
	{ 0xcdc39c9e, "security_ismaclabel" },
	{ 0xf8d02249, "rpc_shutdown_client" },
	{ 0x87b8605a, "svc_bind" },
	{ 0x535eb674, "nfs_d_prune_case_insensitive_aliases" },
	{ 0x40739385, "nfs_wait_bit_killable" },
	{ 0xcc80a800, "nfs_free_inode" },
	{ 0xe598ebc8, "nfs_access_zap_cache" },
	{ 0x89f4159c, "nfs_sb_deactive" },
	{ 0x3081bd99, "nfs_wb_all" },
	{ 0xe3ac6c05, "__break_lease" },
	{ 0x60510439, "nfs_pageio_init_write" },
	{ 0xb838db2b, "svc_recv" },
	{ 0xa560cadb, "nfs_drop_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x579d5dc7, "xdr_inline_decode" },
	{ 0x1418dd79, "nfs_pageio_init_read" },
	{ 0xb09116ad, "trace_raw_output_prep" },
	{ 0x37a27049, "nfs_wait_client_init_complete" },
	{ 0x6e9dd606, "__symbol_put" },
	{ 0x1d6a65ab, "nfs_init_commit" },
	{ 0x413cb9ce, "nfs_commitdata_release" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xf728139c, "bpf_trace_run6" },
	{ 0x96a55fda, "list_lru_destroy" },
	{ 0xca9360b5, "rb_next" },
	{ 0x652c45de, "rpc_net_ns" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x976272f9, "__trace_trigger_soft_disabled" },
	{ 0x506be0c2, "nfs_mknod" },
	{ 0x3e75d9a4, "nfs_inode_attach_open_context" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xcc0075ec, "nfs4_label_alloc" },
	{ 0x26d6c265, "rpc_localaddr" },
	{ 0x71bc40e3, "rpc_wake_up" },
	{ 0xdd691402, "xprt_find_transport_ident" },
	{ 0xb6a632e1, "trace_event_printf" },
	{ 0x34688fc, "nfs_access_get_cached" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x7b82b9a1, "idr_replace" },
	{ 0x2c45b24, "nfs_lock" },
	{ 0xca7d8764, "kthread_freezable_should_stop" },
	{ 0xc2d28bcc, "unregister_key_type" },
	{ 0xa44e5dae, "nfs_client_init_is_complete" },
	{ 0xb2fb443b, "nfs_file_splice_read" },
	{ 0x8370687, "register_shrinker" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x767ada78, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xbc9bbba3, "trace_event_raw_init" },
	{ 0x1e424d61, "user_preparse" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0xff766dec, "ihold" },
	{ 0x3ec61011, "truncate_pagecache_range" },
	{ 0xde51f8d4, "rpc_peeraddr" },
	{ 0x37a0cba, "kfree" },
	{ 0x2f0888ed, "invalidate_inode_pages2_range" },
	{ 0xd21d5fd9, "nfs_post_op_update_inode" },
	{ 0x1647eba5, "svc_exit_thread" },
	{ 0x97ca617, "iput" },
	{ 0x2ae03edc, "xdr_set_pagelen" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xc51e1d91, "nfs_pgio_header_free" },
	{ 0x2ba68b62, "nfs_request_add_commit_list_locked" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x2b1965dd, "logfc" },
	{ 0x5f2507c, "nfs_pgio_header_alloc" },
	{ 0x8a2a5192, "__put_devmap_managed_page_refs" },
	{ 0xb4cef8b7, "iter_file_splice_write" },
	{ 0xd90046b4, "rpc_pton" },
	{ 0x754c5e0b, "nfs_sb_active" },
	{ 0x732818dc, "mod_node_page_state" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0x74ba9125, "rpc_wake_up_queued_task" },
	{ 0xcbca16bd, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0x615d8b30, "xdr_stream_zero" },
	{ 0x1e119a79, "rpcauth_get_pseudoflavor" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xef74ae55, "rpc_restart_call_prepare" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x129bb90b, "_copy_from_pages" },
	{ 0x1060215d, "__module_get" },
	{ 0x9bdbe67e, "kmem_cache_create" },
	{ 0xd6906a4a, "rpc_task_release_transport" },
	{ 0x225613e1, "xdr_page_pos" },
	{ 0x6e713843, "nfs_file_release" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xd4db250, "nfs_pgio_current_mirror" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xe1d09651, "key_instantiate_and_link" },
	{ 0xe02ba436, "trace_print_hex_seq" },
	{ 0x3539f11b, "match_strlcpy" },
	{ 0xd9d702e2, "xdr_read_pages" },
	{ 0x65994f1, "xdr_encode_opaque_fixed" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x721857a2, "register_key_type" },
	{ 0x7455c100, "rpc_sleep_on" },
	{ 0xe84a08fb, "rpc_run_task" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x4fc0746d, "nfs_pageio_resend" },
	{ 0x74805064, "keyring_alloc" },
	{ 0x2d97937f, "vfs_setpos" },
	{ 0xb6193ed5, "nfs_create" },
	{ 0xb29b33c, "complete_request_key" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf57e46b9, "__put_cred" },
	{ 0xf4cf8cc8, "swapcache_mapping" },
	{ 0x38733e05, "nfs_statfs" },
	{ 0x57aa93a9, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x9f3de049, "rpc_max_bc_payload" },
	{ 0x869fa85a, "trace_event_buffer_commit" },
	{ 0x584b8482, "nfs_inc_attr_generation_counter" },
	{ 0x90a5530f, "nfsiod_workqueue" },
	{ 0x4b1e8855, "rpc_clnt_xprt_switch_add_xprt" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x600dca6d, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0xc48b881f, "nfs_mkdir" },
	{ 0xb09b58e2, "nfs_revalidate_inode" },
	{ 0xf74a07ac, "inode_newsize_ok" },
	{ 0xc9bb5a41, "nfs_file_mmap" },
	{ 0x162d14b2, "nfs_get_lock_context" },
	{ 0xb3f1da5e, "d_drop" },
	{ 0x122c3a7e, "_printk" },
	{ 0x45bf48b7, "nfs_set_cache_invalid" },
	{ 0x2789cb80, "rpc_release_client" },
	{ 0x21975b3a, "rpc_clnt_manage_trunked_xprts" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x376670fd, "xdr_enter_page" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x50a3d651, "rpc_clnt_setup_test_and_add_xprt" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc54e1706, "unregister_sysctl_table" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0xd869c9cc, "nfs_generic_pgio" },
	{ 0x6d22c255, "make_kuid" },
	{ 0xd8082061, "truncate_inode_pages_final" },
	{ 0x9fb35418, "generic_setlease" },
	{ 0xbc2cd5b1, "xprt_destroy_backchannel" },
	{ 0x231deb7e, "rpc_switch_client_transport" },
	{ 0xeae89bfd, "bc_svc_process" },
	{ 0xa916b694, "strnlen" },
	{ 0xc9a61073, "nfs_scan_commit_list" },
	{ 0x645d9515, "xdr_stream_decode_string_dup" },
	{ 0xe3da5f4e, "nfs_commit_inode" },
	{ 0x69a7f3bb, "locks_init_lock" },
	{ 0xa8e9e1ae, "send_implementation_id" },
	{ 0x3a1376c9, "unregister_shrinker" },
	{ 0xc9c588f4, "rpc_destroy_pipe_data" },
	{ 0x25b331b1, "nfs_get_client" },
	{ 0x7a532320, "__free_pages" },
	{ 0x8cfa994f, "kmem_cache_alloc" },
	{ 0x9f984513, "strrchr" },
	{ 0x5d49aabc, "init_wait_var_entry" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xed61f6b3, "security_release_secctx" },
	{ 0x7a17e34c, "init_task" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x971eb698, "nfs_atomic_open" },
	{ 0x64edf8bc, "rpc_pipe_generic_upcall" },
	{ 0x72c923ce, "nfs_file_fsync" },
	{ 0xac0ba712, "module_put" },
	{ 0x5e332b52, "__var_waitqueue" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x87aad0f9, "mntput" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0x9af90d40, "nfs_put_lock_context" },
	{ 0x48a24d0c, "nfs_rename" },
	{ 0xa8866f56, "nfs_lookup" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x30edb426, "nfs_sysfs_link_rpc_client" },
	{ 0xab30897f, "nfs_put_client" },
	{ 0xf4d525f8, "nfs_show_options" },
	{ 0x6fb82ee3, "dns_query" },
	{ 0x26884ff7, "nfs_alloc_fhandle" },
	{ 0x1cf43c18, "key_put" },
	{ 0x868784cb, "__symbol_get" },
	{ 0x7fbaedee, "mount_subtree" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xe431b04e, "get_nfs_open_context" },
	{ 0x8cf33c74, "perf_trace_run_bpf_submit" },
	{ 0x98fe3d9d, "nfs_clear_verifier_delegated" },
	{ 0x28e37a8c, "nfs_sysfs_add_server" },
	{ 0xaa23d8f2, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xf5a32944, "rpc_machine_cred" },
	{ 0x42f2c81f, "nfs4_client_id_uniquifier" },
	{ 0x4634395, "nfs_do_submount" },
	{ 0x2e1b1a97, "vfs_dup_fs_context" },
	{ 0xce807a25, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0x9e56db17, "request_key_with_auxdata" },
	{ 0xa7b5eb9d, "rpc_clone_client_set_auth" },
	{ 0xfe1c9dac, "rpc_clone_client" },
	{ 0x35e3ed93, "svc_set_num_threads" },
	{ 0x4e3567f7, "match_int" },
	{ 0x1dc9cf13, "nfs_client_init_status" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x72f166b3, "svc_rpcb_cleanup" },
	{ 0xa07a37f0, "memchr" },
	{ 0xe6a6a332, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd745fb42, "put_fs_context" },
	{ 0x1316ef9e, "nfs_retry_commit" },
	{ 0xd17e0bd2, "nfs4_dentry_operations" },
	{ 0xe2376143, "__module_put_and_kthread_exit" },
	{ 0xf1fdb972, "rpc_peeraddr2str" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0x7d95060b, "nfs_client_for_each_server" },
	{ 0xd6f0dd4c, "nfs_clear_inode" },
	{ 0x1aa270b7, "rpc_sleep_on_priority" },
	{ 0x57970f9e, "nfs_invalidate_atime" },
	{ 0xb515398f, "bpf_trace_run5" },
	{ 0x954f099c, "idr_preload" },
	{ 0x1a3d3f8e, "nfs_umount_begin" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x53eed666, "nfs_getattr" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x14cc2d48, "nfs_pageio_reset_write_mds" },
	{ 0xc6fa581f, "kmem_cache_free" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,dns_resolver");


MODULE_INFO(srcversion, "B75F957D8BB44324B2B6696");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
