#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(fou_encap_hlen, "", "");
KSYMTAB_FUNC(gue_encap_hlen, "", "");
KSYMTAB_FUNC(__fou_build_header, "", "");
KSYMTAB_FUNC(__gue_build_header, "", "");

SYMBOL_CRC(fou_encap_hlen, 0x1757d1a4, "");
SYMBOL_CRC(gue_encap_hlen, 0xf13914b3, "");
SYMBOL_CRC(__fou_build_header, 0xde9c30d9, "");
SYMBOL_CRC(__gue_build_header, 0x79d486de, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9f72678, "pskb_expand_head" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe4bb72f4, "__alloc_skb" },
	{ 0x9a953b6f, "__skb_get_hash" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe2a2a270, "netlink_unicast" },
	{ 0x8c4164c3, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdc2437f1, "skb_push" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x76ce235e, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x7ea30cdb, "ip_tunnel_encap_del_ops" },
	{ 0xc45cd79c, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd91155db, "__pskb_pull_tail" },
	{ 0x2a360971, "register_btf_kfunc_id_set" },
	{ 0x6ae7c3fd, "setup_udp_tunnel_sock" },
	{ 0x72e5a20f, "udp_sock_create6" },
	{ 0xc4530a2f, "skb_trim" },
	{ 0x4abc6a2f, "inet6_offloads" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x213d3ce1, "genl_unregister_family" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x1d2474c2, "genl_register_family" },
	{ 0xbc5a0be3, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x4ca0e37e, "__skb_checksum_complete" },
	{ 0x5f6af946, "ip_tunnel_encap_add_ops" },
	{ 0xcf2774c7, "inet_get_local_port_range" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x38d328de, "udp_sock_create4" },
	{ 0x6bd788fc, "genlmsg_put" },
	{ 0x6bba5997, "udp_set_csum" },
	{ 0x37a0cba, "kfree" },
	{ 0xb382492c, "inet_offloads" },
	{ 0x229999b1, "inet_protos" },
	{ 0x6d0970a7, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel,udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "3BE97532D61CD80D2F8F3FC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
