#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xe76d95e1, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0x1d7eb8a7, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x4489b239, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0x2fbb540c, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0xb00cb21b, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0x382cf43c, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x0ff19cb9, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0xe7fba24d, "");
SYMBOL_CRC(ip_vs_conn_put, 0xc64a4c8e, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x1148bc28, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0xdb078b22, "");
SYMBOL_CRC(register_ip_vs_app, 0x24234e56, "");
SYMBOL_CRC(unregister_ip_vs_app, 0xa60a3077, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x7a6a8e87, "");
SYMBOL_CRC(ip_vs_proto_get, 0x4550e2c7, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0x48599e53, "");
SYMBOL_CRC(register_ip_vs_pe, 0x33e25d08, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xacdae7a0, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x38410e51, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0x972c41b, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x197c67f1, "nf_conntrack_alter_reply" },
	{ 0x12a310ce, "ip_route_me_harder" },
	{ 0x8c4164c3, "kfree_skb_reason" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdc2437f1, "skb_push" },
	{ 0xc6fa581f, "kmem_cache_free" },
	{ 0xeca04194, "set_cpus_allowed_ptr" },
	{ 0x5c1327d2, "seq_putc" },
	{ 0xa55a43fb, "nla_put" },
	{ 0x9092defd, "proc_doulongvec_minmax" },
	{ 0xaa8515c0, "nf_ct_expect_alloc" },
	{ 0x76072fe4, "skb_ensure_writable" },
	{ 0x48e905a4, "iov_iter_kvec" },
	{ 0x25e40374, "ip_mc_join_group" },
	{ 0x4c25e55e, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xe0bc69b2, "ns_capable" },
	{ 0x4b5540bc, "nf_unregister_net_hooks" },
	{ 0x64ac9df9, "inet_select_addr" },
	{ 0x76ce235e, "unregister_pernet_device" },
	{ 0xcca8efed, "lock_sock_nested" },
	{ 0xf8ff0e27, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x794e3b04, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{  0x4a2d7, "__nf_conntrack_confirm" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xab696d59, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xf157de78, "kernel_connect" },
	{ 0xf86e830f, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0xdd6f4fd0, "ip_defrag" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd91155db, "__pskb_pull_tail" },
	{ 0x315ed919, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xc4530a2f, "skb_trim" },
	{ 0x869f2176, "nf_hook_slow" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb83570e, "kthread_create_on_node" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x2ddb1aa1, "nf_ct_deliver_cached_events" },
	{ 0x2b4d6c7, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdc03d03b, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0xdd64e639, "strscpy" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xaf5e04a6, "__icmp_send" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x322e09c3, "ipv4_mtu" },
	{ 0xffd978b, "skb_set_owner_w" },
	{ 0x82a6736c, "__skb_checksum" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x69fdcfaf, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x87f1b7cc, "init_user_ns" },
	{ 0x548f3b25, "nf_ct_expect_init" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xdd5998d9, "remove_proc_entry" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x1140a0c0, "seq_printf" },
	{ 0x4dcc6fc4, "sock_recvmsg" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x218a902a, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xdf5bcf61, "ipv4_update_pmtu" },
	{ 0x2f7d90cb, "nf_defrag_ipv6_enable" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2de8ec4d, "dst_release" },
	{ 0xcecc553b, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf94536c2, "proc_dointvec" },
	{ 0x3c31b7b7, "seq_puts" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0x8bddcf30, "ip_local_out" },
	{ 0x213d3ce1, "genl_unregister_family" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x677d0806, "udp6_set_csum" },
	{ 0xfa4d2f03, "__nla_parse" },
	{ 0xd3a48536, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x1d2474c2, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x93d0a4f2, "kernel_sendmsg" },
	{ 0x95daab14, "nf_ct_netns_put" },
	{ 0xbc5a0be3, "register_pernet_device" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x94c08f29, "kmem_cache_destroy" },
	{ 0x5ab727f2, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0xe355c0c6, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x9eba323e, "nf_conntrack_find_get" },
	{ 0xc8dcc62a, "krealloc" },
	{ 0x1a63f3f8, "try_module_get" },
	{ 0x506bbd05, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcf2774c7, "inet_get_local_port_range" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xbb648fc2, "icmp6_send" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xc3032678, "skb_copy_bits" },
	{ 0xf9b15280, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xae9852a0, "housekeeping_cpumask" },
	{ 0xf7e86961, "consume_skb" },
	{ 0x34189502, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0x60ddb7e6, "ip_output" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xd81a1902, "nf_register_sockopt" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xcd21b3ca, "nf_ct_netns_get" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd620af49, "kernel_bind" },
	{ 0x120c0291, "set_user_nice" },
	{ 0x6bd788fc, "genlmsg_put" },
	{ 0x6bba5997, "udp_set_csum" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0x6afb6846, "ip6_output" },
	{ 0x879eb23f, "ip6_route_me_harder" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x1060215d, "__module_get" },
	{ 0x15766a5f, "ip_route_output_flow" },
	{ 0x9bdbe67e, "kmem_cache_create" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6d0970a7, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xba71d7af, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x387d3937, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9f72678, "pskb_expand_head" },
	{ 0x61fd45e4, "register_pernet_subsys" },
	{ 0x57aa93a9, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x8b57aa9b, "register_net_sysctl_sz" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x122c3a7e, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x5700388d, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x3fa04fc9, "nf_register_net_hooks" },
	{ 0xa54eae3c, "ip6_route_output_flags" },
	{ 0xa916b694, "strnlen" },
	{ 0xe4bb72f4, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x8cfa994f, "kmem_cache_alloc" },
	{ 0x597cbe67, "ipv6_sock_mc_join" },
	{ 0xac0ba712, "module_put" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0xfc2d2ef7, "ipv6_dev_get_saddr" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9a953b6f, "__skb_get_hash" },
	{ 0x6a395f8d, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x804ebd3c, "ip6_mtu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xe2a2a270, "netlink_unicast" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,libcrc32c,nf_defrag_ipv6");


MODULE_INFO(srcversion, "283E4E34403D21AF55E276F");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
