#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(smc_hash_sk, "_gpl", "");
KSYMTAB_FUNC(smc_unhash_sk, "_gpl", "");
KSYMTAB_DATA(smc_proto, "_gpl", "");
KSYMTAB_DATA(smc_proto6, "_gpl", "");
KSYMTAB_DATA(__tracepoint_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__traceiter_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__tracepoint_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__tracepoint_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__tracepoint_smcr_link_down, "", "");
KSYMTAB_FUNC(__traceiter_smcr_link_down, "", "");
KSYMTAB_DATA(__SCK__tp_func_smcr_link_down, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smcr_link_down, "", "");

SYMBOL_CRC(smc_hash_sk, 0xc88052de, "_gpl");
SYMBOL_CRC(smc_unhash_sk, 0xf840ebd6, "_gpl");
SYMBOL_CRC(smc_proto, 0x0bbaddc3, "_gpl");
SYMBOL_CRC(smc_proto6, 0xf7925345, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0xac4e19bc, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0xd1a2c842, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0xf7935e34, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0x94e86a58, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0xc950d978, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0xe2f2e1e0, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0x164977b9, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0xeb648e93, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0x6053fc01, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0xc0c070a6, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0xb5848061, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0xb6dafb1e, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xb079cde4, "put_device" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x7f27dd3, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0xe4bb72f4, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7a532320, "__free_pages" },
	{ 0x40a9b349, "vzalloc" },
	{ 0xa704ff65, "ib_unregister_event_handler" },
	{ 0x737d4e86, "proto_register" },
	{ 0x7d10d389, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x59b61a85, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x32e7a1ac, "ib_map_mr_sg" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4ea15a7d, "generic_pipe_buf_get" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0x8cf33c74, "perf_trace_run_bpf_submit" },
	{ 0xfa5a98f1, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x6a395f8d, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe2a2a270, "netlink_unicast" },
	{ 0x46af6898, "__SCK__tp_func_sk_data_ready" },
	{ 0xef640553, "rdma_put_gid_attr" },
	{ 0xc42a4759, "kernel_getsockname" },
	{ 0xc59aa7d5, "sk_free" },
	{ 0x5653f578, "sock_wake_async" },
	{ 0x8c4164c3, "kfree_skb_reason" },
	{ 0x893bfe18, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xdc1f521e, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0xa55a43fb, "nla_put" },
	{ 0xb72593bf, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xfb74e910, "proc_douintvec_minmax" },
	{ 0x84956f88, "dma_need_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x48e905a4, "iov_iter_kvec" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcca8efed, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x52890a81, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0x1dcd50af, "sk_alloc" },
	{ 0x53dbbf17, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xab696d59, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xef8a75f1, "dma_sync_single_for_cpu" },
	{ 0xf157de78, "kernel_connect" },
	{ 0x794db473, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xccb0b0c1, "sk_wait_data" },
	{ 0x28500e13, "proc_douintvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xee1cecdf, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x5913575c, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0x79be4aae, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0xc4530a2f, "skb_trim" },
	{ 0x7975d6f9, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa32d819f, "tcp_register_ulp" },
	{ 0x7d84dafc, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x84f4a250, "kernel_listen" },
	{ 0x15b562ed, "ib_dma_virt_map_sg" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xae7f1a5f, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0x69fdcfaf, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x8facdad9, "alloc_pages" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x43e2fff1, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4dcc6fc4, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x549690f8, "dev_get_by_name" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x2de8ec4d, "dst_release" },
	{ 0x166de7ee, "sk_stream_wait_connect" },
	{ 0x68798743, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xcecc553b, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6dd9ccc4, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0xc7a5220e, "netdev_walk_all_lower_dev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xc21877ec, "vlan_dev_vlan_id" },
	{ 0xb805d2b3, "unregister_net_sysctl_table" },
	{ 0x99ccff5a, "ib_dealloc_pd_user" },
	{ 0xc93e3611, "rdma_get_gid_attr" },
	{ 0x9d90ceaa, "dma_unmap_sg_attrs" },
	{ 0x213d3ce1, "genl_unregister_family" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x36dcf43a, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x1d2474c2, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x93d0a4f2, "kernel_sendmsg" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xdfdfa2ef, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0x5ab727f2, "release_sock" },
	{ 0x82a9918d, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x2801a22f, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc78eefa3, "netdev_lower_get_next" },
	{ 0xda10ec3, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x8c7abe16, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xe33174d2, "ib_unregister_client" },
	{ 0x461468e7, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb8ff7e57, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xe2bbfa56, "proc_dointvec_jiffies" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe5971ffe, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0xb09116ad, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x7b722780, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x7d65d049, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xe8f0eaac, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x976272f9, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x636ac158, "dma_unmap_page_attrs" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xb6a632e1, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd620af49, "kernel_bind" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x4a7c8733, "dma_sync_single_for_device" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x6bd788fc, "genlmsg_put" },
	{ 0xbc9bbba3, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xb868bf7d, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x8a2a5192, "__put_devmap_managed_page_refs" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x1fa96203, "ib_dereg_mr_user" },
	{ 0x22f12bf, "__tracepoint_sk_data_ready" },
	{ 0xcbca16bd, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x31e9b60a, "kernel_accept" },
	{ 0x6cb415aa, "rdma_dev_access_netns" },
	{ 0x1060215d, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x15766a5f, "ip_route_output_flow" },
	{ 0xefa3e83f, "get_device" },
	{ 0x770f0518, "sk_stream_error" },
	{ 0x1412d052, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x23b4c674, "sock_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x51edc700, "sk_error_report" },
	{ 0x61fd45e4, "register_pernet_subsys" },
	{ 0xe37f8cf8, "dev_driver_string" },
	{ 0x869fa85a, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x8b57aa9b, "register_net_sysctl_sz" },
	{ 0x3a92d908, "tcp_abort" },
	{ 0x116ded40, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfebfee9c, "dma_map_page_attrs" },
	{ 0xbb8ad2f7, "splice_to_pipe" },
	{ 0x122c3a7e, "_printk" },
	{ 0xc3cf3a7f, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x5cdfe4bb, "sock_register" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "2550A6BC9893A48E1C58D51");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
