#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tasdevice_rca_parser, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_select_cfg_blk, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tas2781_load_calibration, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_dsp_parser, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_calbin_remove, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_config_info_remove, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_select_tuningprm_cfg, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_prmg_load, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_prmg_calibdata_load, "_gpl", "SND_SOC_TAS2781_FMWLIB");
KSYMTAB_FUNC(tasdevice_tuning_switch, "_gpl", "SND_SOC_TAS2781_FMWLIB");

SYMBOL_CRC(tasdevice_rca_parser, 0xa7d17083, "_gpl");
SYMBOL_CRC(tasdevice_select_cfg_blk, 0x1a949c7c, "_gpl");
SYMBOL_CRC(tas2781_load_calibration, 0x957998f4, "_gpl");
SYMBOL_CRC(tasdevice_dsp_parser, 0xfa72134b, "_gpl");
SYMBOL_CRC(tasdevice_calbin_remove, 0x40ec23ee, "_gpl");
SYMBOL_CRC(tasdevice_config_info_remove, 0x2c2d92de, "_gpl");
SYMBOL_CRC(tasdevice_select_tuningprm_cfg, 0x1ab9b7d9, "_gpl");
SYMBOL_CRC(tasdevice_prmg_load, 0xfe3a6722, "_gpl");
SYMBOL_CRC(tasdevice_prmg_calibdata_load, 0x09351149, "_gpl");
SYMBOL_CRC(tasdevice_tuning_switch, 0x23c94cc6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x180fcb9f, "tasdevice_dev_bulk_read" },
	{ 0xa4bfb04f, "_dev_info" },
	{ 0xa184bb7, "_dev_err" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xea66b47, "tasdevice_dev_read" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xa87fb1ee, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x3f879d35, "tasdevice_dev_write" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4d0b3b0f, "kmalloc_caches" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xf94bd851, "request_firmware" },
	{ 0x41cffb50, "tasdevice_dev_bulk_write" },
	{ 0x37a0cba, "kfree" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x464b6e4c, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x729b50af, "tasdevice_dev_update_bits" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac9f503d, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-tas2781-comlib,crc8");


MODULE_INFO(srcversion, "5B65F17ABF72C6DF41ED074");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
